#include "sysconfig.h"
#include "sysdeps.h"
#include "config.h"
#include "options.h"
#include "machdep_m68k.h"
#include "memory_cpu.h"
#include "custom.h"
#include "readcpu.h"
#include "newcpu.h"
#include "compiler.h"
#include "cputbl.h"

#include "cpu0.h"
#include "cpu1.h"
#include "cpu2.h"
#include "cpu3.h"
#include "cpu4.h"
#include "cpu5.h"
#include "cpu6.h"
#include "cpu7.h"
#include "cpu8.h"
#include "cpu9.h"
#include "cpuA.h"
#include "cpuB.h"
#include "cpuC.h"
#include "cpuD.h"
#include "cpuE.h"
#include "cpuF.h"

struct cputbl CPU_OP_NAME(_smalltbl)[] = {
#if !defined (MEMFUNCS_DIRECT_REQUESTED) || defined (DIRECT_MEMFUNCS_SUCCESSFUL)
{ CPU_OP_NAME(_0), 0, 0, PERFDATA_0}, /* OR */
{ CPU_OP_NAME(_10), 0, 16, PERFDATA_10}, /* OR */
{ CPU_OP_NAME(_18), 0, 24, PERFDATA_18}, /* OR */
{ CPU_OP_NAME(_20), 0, 32, PERFDATA_20}, /* OR */
{ CPU_OP_NAME(_28), 0, 40, PERFDATA_28}, /* OR */
{ CPU_OP_NAME(_30), 0, 48, PERFDATA_30}, /* OR */
{ CPU_OP_NAME(_38), 0, 56, PERFDATA_38}, /* OR */
{ CPU_OP_NAME(_39), 0, 57, PERFDATA_39}, /* OR */
{ CPU_OP_NAME(_3c), 0, 60, PERFDATA_3c}, /* ORSR */
{ CPU_OP_NAME(_40), 0, 64, PERFDATA_40}, /* OR */
{ CPU_OP_NAME(_50), 0, 80, PERFDATA_50}, /* OR */
{ CPU_OP_NAME(_58), 0, 88, PERFDATA_58}, /* OR */
{ CPU_OP_NAME(_60), 0, 96, PERFDATA_60}, /* OR */
{ CPU_OP_NAME(_68), 0, 104, PERFDATA_68}, /* OR */
{ CPU_OP_NAME(_70), 0, 112, PERFDATA_70}, /* OR */
{ CPU_OP_NAME(_78), 0, 120, PERFDATA_78}, /* OR */
{ CPU_OP_NAME(_79), 0, 121, PERFDATA_79}, /* OR */
{ CPU_OP_NAME(_7c), 0, 124, PERFDATA_7c}, /* ORSR */
{ CPU_OP_NAME(_80), 0, 128, PERFDATA_80}, /* OR */
{ CPU_OP_NAME(_90), 0, 144, PERFDATA_90}, /* OR */
{ CPU_OP_NAME(_98), 0, 152, PERFDATA_98}, /* OR */
{ CPU_OP_NAME(_a0), 0, 160, PERFDATA_a0}, /* OR */
{ CPU_OP_NAME(_a8), 0, 168, PERFDATA_a8}, /* OR */
{ CPU_OP_NAME(_b0), 0, 176, PERFDATA_b0}, /* OR */
{ CPU_OP_NAME(_b8), 0, 184, PERFDATA_b8}, /* OR */
{ CPU_OP_NAME(_b9), 0, 185, PERFDATA_b9}, /* OR */
{ CPU_OP_NAME(_100), 0, 256, PERFDATA_100}, /* BTST */
{ CPU_OP_NAME(_108), 0, 264, PERFDATA_108}, /* MVPMR */
{ CPU_OP_NAME(_110), 0, 272, PERFDATA_110}, /* BTST */
{ CPU_OP_NAME(_118), 0, 280, PERFDATA_118}, /* BTST */
{ CPU_OP_NAME(_120), 0, 288, PERFDATA_120}, /* BTST */
{ CPU_OP_NAME(_128), 0, 296, PERFDATA_128}, /* BTST */
{ CPU_OP_NAME(_130), 0, 304, PERFDATA_130}, /* BTST */
{ CPU_OP_NAME(_138), 0, 312, PERFDATA_138}, /* BTST */
{ CPU_OP_NAME(_139), 0, 313, PERFDATA_139}, /* BTST */
{ CPU_OP_NAME(_13a), 0, 314, PERFDATA_13a}, /* BTST */
{ CPU_OP_NAME(_13b), 0, 315, PERFDATA_13b}, /* BTST */
{ CPU_OP_NAME(_13c), 0, 316, PERFDATA_13c}, /* BTST */
{ CPU_OP_NAME(_140), 0, 320, PERFDATA_140}, /* BCHG */
{ CPU_OP_NAME(_148), 0, 328, PERFDATA_148}, /* MVPMR */
{ CPU_OP_NAME(_150), 0, 336, PERFDATA_150}, /* BCHG */
{ CPU_OP_NAME(_158), 0, 344, PERFDATA_158}, /* BCHG */
{ CPU_OP_NAME(_160), 0, 352, PERFDATA_160}, /* BCHG */
{ CPU_OP_NAME(_168), 0, 360, PERFDATA_168}, /* BCHG */
{ CPU_OP_NAME(_170), 0, 368, PERFDATA_170}, /* BCHG */
{ CPU_OP_NAME(_178), 0, 376, PERFDATA_178}, /* BCHG */
{ CPU_OP_NAME(_179), 0, 377, PERFDATA_179}, /* BCHG */
{ CPU_OP_NAME(_17a), 0, 378, PERFDATA_17a}, /* BCHG */
{ CPU_OP_NAME(_17b), 0, 379, PERFDATA_17b}, /* BCHG */
{ CPU_OP_NAME(_180), 0, 384, PERFDATA_180}, /* BCLR */
{ CPU_OP_NAME(_188), 0, 392, PERFDATA_188}, /* MVPRM */
{ CPU_OP_NAME(_190), 0, 400, PERFDATA_190}, /* BCLR */
{ CPU_OP_NAME(_198), 0, 408, PERFDATA_198}, /* BCLR */
{ CPU_OP_NAME(_1a0), 0, 416, PERFDATA_1a0}, /* BCLR */
{ CPU_OP_NAME(_1a8), 0, 424, PERFDATA_1a8}, /* BCLR */
{ CPU_OP_NAME(_1b0), 0, 432, PERFDATA_1b0}, /* BCLR */
{ CPU_OP_NAME(_1b8), 0, 440, PERFDATA_1b8}, /* BCLR */
{ CPU_OP_NAME(_1b9), 0, 441, PERFDATA_1b9}, /* BCLR */
{ CPU_OP_NAME(_1ba), 0, 442, PERFDATA_1ba}, /* BCLR */
{ CPU_OP_NAME(_1bb), 0, 443, PERFDATA_1bb}, /* BCLR */
{ CPU_OP_NAME(_1c0), 0, 448, PERFDATA_1c0}, /* BSET */
{ CPU_OP_NAME(_1c8), 0, 456, PERFDATA_1c8}, /* MVPRM */
{ CPU_OP_NAME(_1d0), 0, 464, PERFDATA_1d0}, /* BSET */
{ CPU_OP_NAME(_1d8), 0, 472, PERFDATA_1d8}, /* BSET */
{ CPU_OP_NAME(_1e0), 0, 480, PERFDATA_1e0}, /* BSET */
{ CPU_OP_NAME(_1e8), 0, 488, PERFDATA_1e8}, /* BSET */
{ CPU_OP_NAME(_1f0), 0, 496, PERFDATA_1f0}, /* BSET */
{ CPU_OP_NAME(_1f8), 0, 504, PERFDATA_1f8}, /* BSET */
{ CPU_OP_NAME(_1f9), 0, 505, PERFDATA_1f9}, /* BSET */
{ CPU_OP_NAME(_1fa), 0, 506, PERFDATA_1fa}, /* BSET */
{ CPU_OP_NAME(_1fb), 0, 507, PERFDATA_1fb}, /* BSET */
{ CPU_OP_NAME(_200), 0, 512, PERFDATA_200}, /* AND */
{ CPU_OP_NAME(_210), 0, 528, PERFDATA_210}, /* AND */
{ CPU_OP_NAME(_218), 0, 536, PERFDATA_218}, /* AND */
{ CPU_OP_NAME(_220), 0, 544, PERFDATA_220}, /* AND */
{ CPU_OP_NAME(_228), 0, 552, PERFDATA_228}, /* AND */
{ CPU_OP_NAME(_230), 0, 560, PERFDATA_230}, /* AND */
{ CPU_OP_NAME(_238), 0, 568, PERFDATA_238}, /* AND */
{ CPU_OP_NAME(_239), 0, 569, PERFDATA_239}, /* AND */
{ CPU_OP_NAME(_23c), 0, 572, PERFDATA_23c}, /* ANDSR */
{ CPU_OP_NAME(_240), 0, 576, PERFDATA_240}, /* AND */
{ CPU_OP_NAME(_250), 0, 592, PERFDATA_250}, /* AND */
{ CPU_OP_NAME(_258), 0, 600, PERFDATA_258}, /* AND */
{ CPU_OP_NAME(_260), 0, 608, PERFDATA_260}, /* AND */
{ CPU_OP_NAME(_268), 0, 616, PERFDATA_268}, /* AND */
{ CPU_OP_NAME(_270), 0, 624, PERFDATA_270}, /* AND */
{ CPU_OP_NAME(_278), 0, 632, PERFDATA_278}, /* AND */
{ CPU_OP_NAME(_279), 0, 633, PERFDATA_279}, /* AND */
{ CPU_OP_NAME(_27c), 0, 636, PERFDATA_27c}, /* ANDSR */
{ CPU_OP_NAME(_280), 0, 640, PERFDATA_280}, /* AND */
{ CPU_OP_NAME(_290), 0, 656, PERFDATA_290}, /* AND */
{ CPU_OP_NAME(_298), 0, 664, PERFDATA_298}, /* AND */
{ CPU_OP_NAME(_2a0), 0, 672, PERFDATA_2a0}, /* AND */
{ CPU_OP_NAME(_2a8), 0, 680, PERFDATA_2a8}, /* AND */
{ CPU_OP_NAME(_2b0), 0, 688, PERFDATA_2b0}, /* AND */
{ CPU_OP_NAME(_2b8), 0, 696, PERFDATA_2b8}, /* AND */
{ CPU_OP_NAME(_2b9), 0, 697, PERFDATA_2b9}, /* AND */
{ CPU_OP_NAME(_400), 0, 1024, PERFDATA_400}, /* SUB */
{ CPU_OP_NAME(_410), 0, 1040, PERFDATA_410}, /* SUB */
{ CPU_OP_NAME(_418), 0, 1048, PERFDATA_418}, /* SUB */
{ CPU_OP_NAME(_420), 0, 1056, PERFDATA_420}, /* SUB */
{ CPU_OP_NAME(_428), 0, 1064, PERFDATA_428}, /* SUB */
{ CPU_OP_NAME(_430), 0, 1072, PERFDATA_430}, /* SUB */
{ CPU_OP_NAME(_438), 0, 1080, PERFDATA_438}, /* SUB */
{ CPU_OP_NAME(_439), 0, 1081, PERFDATA_439}, /* SUB */
{ CPU_OP_NAME(_440), 0, 1088, PERFDATA_440}, /* SUB */
{ CPU_OP_NAME(_450), 0, 1104, PERFDATA_450}, /* SUB */
{ CPU_OP_NAME(_458), 0, 1112, PERFDATA_458}, /* SUB */
{ CPU_OP_NAME(_460), 0, 1120, PERFDATA_460}, /* SUB */
{ CPU_OP_NAME(_468), 0, 1128, PERFDATA_468}, /* SUB */
{ CPU_OP_NAME(_470), 0, 1136, PERFDATA_470}, /* SUB */
{ CPU_OP_NAME(_478), 0, 1144, PERFDATA_478}, /* SUB */
{ CPU_OP_NAME(_479), 0, 1145, PERFDATA_479}, /* SUB */
{ CPU_OP_NAME(_480), 0, 1152, PERFDATA_480}, /* SUB */
{ CPU_OP_NAME(_490), 0, 1168, PERFDATA_490}, /* SUB */
{ CPU_OP_NAME(_498), 0, 1176, PERFDATA_498}, /* SUB */
{ CPU_OP_NAME(_4a0), 0, 1184, PERFDATA_4a0}, /* SUB */
{ CPU_OP_NAME(_4a8), 0, 1192, PERFDATA_4a8}, /* SUB */
{ CPU_OP_NAME(_4b0), 0, 1200, PERFDATA_4b0}, /* SUB */
{ CPU_OP_NAME(_4b8), 0, 1208, PERFDATA_4b8}, /* SUB */
{ CPU_OP_NAME(_4b9), 0, 1209, PERFDATA_4b9}, /* SUB */
{ CPU_OP_NAME(_600), 0, 1536, PERFDATA_600}, /* ADD */
{ CPU_OP_NAME(_610), 0, 1552, PERFDATA_610}, /* ADD */
{ CPU_OP_NAME(_618), 0, 1560, PERFDATA_618}, /* ADD */
{ CPU_OP_NAME(_620), 0, 1568, PERFDATA_620}, /* ADD */
{ CPU_OP_NAME(_628), 0, 1576, PERFDATA_628}, /* ADD */
{ CPU_OP_NAME(_630), 0, 1584, PERFDATA_630}, /* ADD */
{ CPU_OP_NAME(_638), 0, 1592, PERFDATA_638}, /* ADD */
{ CPU_OP_NAME(_639), 0, 1593, PERFDATA_639}, /* ADD */
{ CPU_OP_NAME(_640), 0, 1600, PERFDATA_640}, /* ADD */
{ CPU_OP_NAME(_650), 0, 1616, PERFDATA_650}, /* ADD */
{ CPU_OP_NAME(_658), 0, 1624, PERFDATA_658}, /* ADD */
{ CPU_OP_NAME(_660), 0, 1632, PERFDATA_660}, /* ADD */
{ CPU_OP_NAME(_668), 0, 1640, PERFDATA_668}, /* ADD */
{ CPU_OP_NAME(_670), 0, 1648, PERFDATA_670}, /* ADD */
{ CPU_OP_NAME(_678), 0, 1656, PERFDATA_678}, /* ADD */
{ CPU_OP_NAME(_679), 0, 1657, PERFDATA_679}, /* ADD */
{ CPU_OP_NAME(_680), 0, 1664, PERFDATA_680}, /* ADD */
{ CPU_OP_NAME(_690), 0, 1680, PERFDATA_690}, /* ADD */
{ CPU_OP_NAME(_698), 0, 1688, PERFDATA_698}, /* ADD */
{ CPU_OP_NAME(_6a0), 0, 1696, PERFDATA_6a0}, /* ADD */
{ CPU_OP_NAME(_6a8), 0, 1704, PERFDATA_6a8}, /* ADD */
{ CPU_OP_NAME(_6b0), 0, 1712, PERFDATA_6b0}, /* ADD */
{ CPU_OP_NAME(_6b8), 0, 1720, PERFDATA_6b8}, /* ADD */
{ CPU_OP_NAME(_6b9), 0, 1721, PERFDATA_6b9}, /* ADD */
{ CPU_OP_NAME(_800), 0, 2048, PERFDATA_800}, /* BTST */
{ CPU_OP_NAME(_810), 0, 2064, PERFDATA_810}, /* BTST */
{ CPU_OP_NAME(_818), 0, 2072, PERFDATA_818}, /* BTST */
{ CPU_OP_NAME(_820), 0, 2080, PERFDATA_820}, /* BTST */
{ CPU_OP_NAME(_828), 0, 2088, PERFDATA_828}, /* BTST */
{ CPU_OP_NAME(_830), 0, 2096, PERFDATA_830}, /* BTST */
{ CPU_OP_NAME(_838), 0, 2104, PERFDATA_838}, /* BTST */
{ CPU_OP_NAME(_839), 0, 2105, PERFDATA_839}, /* BTST */
{ CPU_OP_NAME(_83a), 0, 2106, PERFDATA_83a}, /* BTST */
{ CPU_OP_NAME(_83b), 0, 2107, PERFDATA_83b}, /* BTST */
{ CPU_OP_NAME(_83c), 0, 2108, PERFDATA_83c}, /* BTST */
{ CPU_OP_NAME(_840), 0, 2112, PERFDATA_840}, /* BCHG */
{ CPU_OP_NAME(_850), 0, 2128, PERFDATA_850}, /* BCHG */
{ CPU_OP_NAME(_858), 0, 2136, PERFDATA_858}, /* BCHG */
{ CPU_OP_NAME(_860), 0, 2144, PERFDATA_860}, /* BCHG */
{ CPU_OP_NAME(_868), 0, 2152, PERFDATA_868}, /* BCHG */
{ CPU_OP_NAME(_870), 0, 2160, PERFDATA_870}, /* BCHG */
{ CPU_OP_NAME(_878), 0, 2168, PERFDATA_878}, /* BCHG */
{ CPU_OP_NAME(_879), 0, 2169, PERFDATA_879}, /* BCHG */
{ CPU_OP_NAME(_87a), 0, 2170, PERFDATA_87a}, /* BCHG */
{ CPU_OP_NAME(_87b), 0, 2171, PERFDATA_87b}, /* BCHG */
{ CPU_OP_NAME(_880), 0, 2176, PERFDATA_880}, /* BCLR */
{ CPU_OP_NAME(_890), 0, 2192, PERFDATA_890}, /* BCLR */
{ CPU_OP_NAME(_898), 0, 2200, PERFDATA_898}, /* BCLR */
{ CPU_OP_NAME(_8a0), 0, 2208, PERFDATA_8a0}, /* BCLR */
{ CPU_OP_NAME(_8a8), 0, 2216, PERFDATA_8a8}, /* BCLR */
{ CPU_OP_NAME(_8b0), 0, 2224, PERFDATA_8b0}, /* BCLR */
{ CPU_OP_NAME(_8b8), 0, 2232, PERFDATA_8b8}, /* BCLR */
{ CPU_OP_NAME(_8b9), 0, 2233, PERFDATA_8b9}, /* BCLR */
{ CPU_OP_NAME(_8ba), 0, 2234, PERFDATA_8ba}, /* BCLR */
{ CPU_OP_NAME(_8bb), 0, 2235, PERFDATA_8bb}, /* BCLR */
{ CPU_OP_NAME(_8c0), 0, 2240, PERFDATA_8c0}, /* BSET */
{ CPU_OP_NAME(_8d0), 0, 2256, PERFDATA_8d0}, /* BSET */
{ CPU_OP_NAME(_8d8), 0, 2264, PERFDATA_8d8}, /* BSET */
{ CPU_OP_NAME(_8e0), 0, 2272, PERFDATA_8e0}, /* BSET */
{ CPU_OP_NAME(_8e8), 0, 2280, PERFDATA_8e8}, /* BSET */
{ CPU_OP_NAME(_8f0), 0, 2288, PERFDATA_8f0}, /* BSET */
{ CPU_OP_NAME(_8f8), 0, 2296, PERFDATA_8f8}, /* BSET */
{ CPU_OP_NAME(_8f9), 0, 2297, PERFDATA_8f9}, /* BSET */
{ CPU_OP_NAME(_8fa), 0, 2298, PERFDATA_8fa}, /* BSET */
{ CPU_OP_NAME(_8fb), 0, 2299, PERFDATA_8fb}, /* BSET */
{ CPU_OP_NAME(_a00), 0, 2560, PERFDATA_a00}, /* EOR */
{ CPU_OP_NAME(_a10), 0, 2576, PERFDATA_a10}, /* EOR */
{ CPU_OP_NAME(_a18), 0, 2584, PERFDATA_a18}, /* EOR */
{ CPU_OP_NAME(_a20), 0, 2592, PERFDATA_a20}, /* EOR */
{ CPU_OP_NAME(_a28), 0, 2600, PERFDATA_a28}, /* EOR */
{ CPU_OP_NAME(_a30), 0, 2608, PERFDATA_a30}, /* EOR */
{ CPU_OP_NAME(_a38), 0, 2616, PERFDATA_a38}, /* EOR */
{ CPU_OP_NAME(_a39), 0, 2617, PERFDATA_a39}, /* EOR */
{ CPU_OP_NAME(_a3c), 0, 2620, PERFDATA_a3c}, /* EORSR */
{ CPU_OP_NAME(_a40), 0, 2624, PERFDATA_a40}, /* EOR */
{ CPU_OP_NAME(_a50), 0, 2640, PERFDATA_a50}, /* EOR */
{ CPU_OP_NAME(_a58), 0, 2648, PERFDATA_a58}, /* EOR */
{ CPU_OP_NAME(_a60), 0, 2656, PERFDATA_a60}, /* EOR */
{ CPU_OP_NAME(_a68), 0, 2664, PERFDATA_a68}, /* EOR */
{ CPU_OP_NAME(_a70), 0, 2672, PERFDATA_a70}, /* EOR */
{ CPU_OP_NAME(_a78), 0, 2680, PERFDATA_a78}, /* EOR */
{ CPU_OP_NAME(_a79), 0, 2681, PERFDATA_a79}, /* EOR */
{ CPU_OP_NAME(_a7c), 0, 2684, PERFDATA_a7c}, /* EORSR */
{ CPU_OP_NAME(_a80), 0, 2688, PERFDATA_a80}, /* EOR */
{ CPU_OP_NAME(_a90), 0, 2704, PERFDATA_a90}, /* EOR */
{ CPU_OP_NAME(_a98), 0, 2712, PERFDATA_a98}, /* EOR */
{ CPU_OP_NAME(_aa0), 0, 2720, PERFDATA_aa0}, /* EOR */
{ CPU_OP_NAME(_aa8), 0, 2728, PERFDATA_aa8}, /* EOR */
{ CPU_OP_NAME(_ab0), 0, 2736, PERFDATA_ab0}, /* EOR */
{ CPU_OP_NAME(_ab8), 0, 2744, PERFDATA_ab8}, /* EOR */
{ CPU_OP_NAME(_ab9), 0, 2745, PERFDATA_ab9}, /* EOR */
{ CPU_OP_NAME(_c00), 0, 3072, PERFDATA_c00}, /* CMP */
{ CPU_OP_NAME(_c10), 0, 3088, PERFDATA_c10}, /* CMP */
{ CPU_OP_NAME(_c18), 0, 3096, PERFDATA_c18}, /* CMP */
{ CPU_OP_NAME(_c20), 0, 3104, PERFDATA_c20}, /* CMP */
{ CPU_OP_NAME(_c28), 0, 3112, PERFDATA_c28}, /* CMP */
{ CPU_OP_NAME(_c30), 0, 3120, PERFDATA_c30}, /* CMP */
{ CPU_OP_NAME(_c38), 0, 3128, PERFDATA_c38}, /* CMP */
{ CPU_OP_NAME(_c39), 0, 3129, PERFDATA_c39}, /* CMP */
{ CPU_OP_NAME(_c3a), 0, 3130, PERFDATA_c3a}, /* CMP */
{ CPU_OP_NAME(_c3b), 0, 3131, PERFDATA_c3b}, /* CMP */
{ CPU_OP_NAME(_c40), 0, 3136, PERFDATA_c40}, /* CMP */
{ CPU_OP_NAME(_c50), 0, 3152, PERFDATA_c50}, /* CMP */
{ CPU_OP_NAME(_c58), 0, 3160, PERFDATA_c58}, /* CMP */
{ CPU_OP_NAME(_c60), 0, 3168, PERFDATA_c60}, /* CMP */
{ CPU_OP_NAME(_c68), 0, 3176, PERFDATA_c68}, /* CMP */
{ CPU_OP_NAME(_c70), 0, 3184, PERFDATA_c70}, /* CMP */
{ CPU_OP_NAME(_c78), 0, 3192, PERFDATA_c78}, /* CMP */
{ CPU_OP_NAME(_c79), 0, 3193, PERFDATA_c79}, /* CMP */
{ CPU_OP_NAME(_c7a), 0, 3194, PERFDATA_c7a}, /* CMP */
{ CPU_OP_NAME(_c7b), 0, 3195, PERFDATA_c7b}, /* CMP */
{ CPU_OP_NAME(_c80), 0, 3200, PERFDATA_c80}, /* CMP */
{ CPU_OP_NAME(_c90), 0, 3216, PERFDATA_c90}, /* CMP */
{ CPU_OP_NAME(_c98), 0, 3224, PERFDATA_c98}, /* CMP */
{ CPU_OP_NAME(_ca0), 0, 3232, PERFDATA_ca0}, /* CMP */
{ CPU_OP_NAME(_ca8), 0, 3240, PERFDATA_ca8}, /* CMP */
{ CPU_OP_NAME(_cb0), 0, 3248, PERFDATA_cb0}, /* CMP */
{ CPU_OP_NAME(_cb8), 0, 3256, PERFDATA_cb8}, /* CMP */
{ CPU_OP_NAME(_cb9), 0, 3257, PERFDATA_cb9}, /* CMP */
{ CPU_OP_NAME(_cba), 0, 3258, PERFDATA_cba}, /* CMP */
{ CPU_OP_NAME(_cbb), 0, 3259, PERFDATA_cbb}, /* CMP */
{ CPU_OP_NAME(_1000), 0, 4096, PERFDATA_1000}, /* MOVE */
{ CPU_OP_NAME(_1010), 0, 4112, PERFDATA_1010}, /* MOVE */
{ CPU_OP_NAME(_1018), 0, 4120, PERFDATA_1018}, /* MOVE */
{ CPU_OP_NAME(_1020), 0, 4128, PERFDATA_1020}, /* MOVE */
{ CPU_OP_NAME(_1028), 0, 4136, PERFDATA_1028}, /* MOVE */
{ CPU_OP_NAME(_1030), 0, 4144, PERFDATA_1030}, /* MOVE */
{ CPU_OP_NAME(_1038), 0, 4152, PERFDATA_1038}, /* MOVE */
{ CPU_OP_NAME(_1039), 0, 4153, PERFDATA_1039}, /* MOVE */
{ CPU_OP_NAME(_103a), 0, 4154, PERFDATA_103a}, /* MOVE */
{ CPU_OP_NAME(_103b), 0, 4155, PERFDATA_103b}, /* MOVE */
{ CPU_OP_NAME(_103c), 0, 4156, PERFDATA_103c}, /* MOVE */
{ CPU_OP_NAME(_1080), 0, 4224, PERFDATA_1080}, /* MOVE */
{ CPU_OP_NAME(_1090), 0, 4240, PERFDATA_1090}, /* MOVE */
{ CPU_OP_NAME(_1098), 0, 4248, PERFDATA_1098}, /* MOVE */
{ CPU_OP_NAME(_10a0), 0, 4256, PERFDATA_10a0}, /* MOVE */
{ CPU_OP_NAME(_10a8), 0, 4264, PERFDATA_10a8}, /* MOVE */
{ CPU_OP_NAME(_10b0), 0, 4272, PERFDATA_10b0}, /* MOVE */
{ CPU_OP_NAME(_10b8), 0, 4280, PERFDATA_10b8}, /* MOVE */
{ CPU_OP_NAME(_10b9), 0, 4281, PERFDATA_10b9}, /* MOVE */
{ CPU_OP_NAME(_10ba), 0, 4282, PERFDATA_10ba}, /* MOVE */
{ CPU_OP_NAME(_10bb), 0, 4283, PERFDATA_10bb}, /* MOVE */
{ CPU_OP_NAME(_10bc), 0, 4284, PERFDATA_10bc}, /* MOVE */
{ CPU_OP_NAME(_10c0), 0, 4288, PERFDATA_10c0}, /* MOVE */
{ CPU_OP_NAME(_10d0), 0, 4304, PERFDATA_10d0}, /* MOVE */
{ CPU_OP_NAME(_10d8), 0, 4312, PERFDATA_10d8}, /* MOVE */
{ CPU_OP_NAME(_10e0), 0, 4320, PERFDATA_10e0}, /* MOVE */
{ CPU_OP_NAME(_10e8), 0, 4328, PERFDATA_10e8}, /* MOVE */
{ CPU_OP_NAME(_10f0), 0, 4336, PERFDATA_10f0}, /* MOVE */
{ CPU_OP_NAME(_10f8), 0, 4344, PERFDATA_10f8}, /* MOVE */
{ CPU_OP_NAME(_10f9), 0, 4345, PERFDATA_10f9}, /* MOVE */
{ CPU_OP_NAME(_10fa), 0, 4346, PERFDATA_10fa}, /* MOVE */
{ CPU_OP_NAME(_10fb), 0, 4347, PERFDATA_10fb}, /* MOVE */
{ CPU_OP_NAME(_10fc), 0, 4348, PERFDATA_10fc}, /* MOVE */
{ CPU_OP_NAME(_1100), 0, 4352, PERFDATA_1100}, /* MOVE */
{ CPU_OP_NAME(_1110), 0, 4368, PERFDATA_1110}, /* MOVE */
{ CPU_OP_NAME(_1118), 0, 4376, PERFDATA_1118}, /* MOVE */
{ CPU_OP_NAME(_1120), 0, 4384, PERFDATA_1120}, /* MOVE */
{ CPU_OP_NAME(_1128), 0, 4392, PERFDATA_1128}, /* MOVE */
{ CPU_OP_NAME(_1130), 0, 4400, PERFDATA_1130}, /* MOVE */
{ CPU_OP_NAME(_1138), 0, 4408, PERFDATA_1138}, /* MOVE */
{ CPU_OP_NAME(_1139), 0, 4409, PERFDATA_1139}, /* MOVE */
{ CPU_OP_NAME(_113a), 0, 4410, PERFDATA_113a}, /* MOVE */
{ CPU_OP_NAME(_113b), 0, 4411, PERFDATA_113b}, /* MOVE */
{ CPU_OP_NAME(_113c), 0, 4412, PERFDATA_113c}, /* MOVE */
{ CPU_OP_NAME(_1140), 0, 4416, PERFDATA_1140}, /* MOVE */
{ CPU_OP_NAME(_1150), 0, 4432, PERFDATA_1150}, /* MOVE */
{ CPU_OP_NAME(_1158), 0, 4440, PERFDATA_1158}, /* MOVE */
{ CPU_OP_NAME(_1160), 0, 4448, PERFDATA_1160}, /* MOVE */
{ CPU_OP_NAME(_1168), 0, 4456, PERFDATA_1168}, /* MOVE */
{ CPU_OP_NAME(_1170), 0, 4464, PERFDATA_1170}, /* MOVE */
{ CPU_OP_NAME(_1178), 0, 4472, PERFDATA_1178}, /* MOVE */
{ CPU_OP_NAME(_1179), 0, 4473, PERFDATA_1179}, /* MOVE */
{ CPU_OP_NAME(_117a), 0, 4474, PERFDATA_117a}, /* MOVE */
{ CPU_OP_NAME(_117b), 0, 4475, PERFDATA_117b}, /* MOVE */
{ CPU_OP_NAME(_117c), 0, 4476, PERFDATA_117c}, /* MOVE */
{ CPU_OP_NAME(_1180), 0, 4480, PERFDATA_1180}, /* MOVE */
{ CPU_OP_NAME(_1190), 0, 4496, PERFDATA_1190}, /* MOVE */
{ CPU_OP_NAME(_1198), 0, 4504, PERFDATA_1198}, /* MOVE */
{ CPU_OP_NAME(_11a0), 0, 4512, PERFDATA_11a0}, /* MOVE */
{ CPU_OP_NAME(_11a8), 0, 4520, PERFDATA_11a8}, /* MOVE */
{ CPU_OP_NAME(_11b0), 0, 4528, PERFDATA_11b0}, /* MOVE */
{ CPU_OP_NAME(_11b8), 0, 4536, PERFDATA_11b8}, /* MOVE */
{ CPU_OP_NAME(_11b9), 0, 4537, PERFDATA_11b9}, /* MOVE */
{ CPU_OP_NAME(_11ba), 0, 4538, PERFDATA_11ba}, /* MOVE */
{ CPU_OP_NAME(_11bb), 0, 4539, PERFDATA_11bb}, /* MOVE */
{ CPU_OP_NAME(_11bc), 0, 4540, PERFDATA_11bc}, /* MOVE */
{ CPU_OP_NAME(_11c0), 0, 4544, PERFDATA_11c0}, /* MOVE */
{ CPU_OP_NAME(_11d0), 0, 4560, PERFDATA_11d0}, /* MOVE */
{ CPU_OP_NAME(_11d8), 0, 4568, PERFDATA_11d8}, /* MOVE */
{ CPU_OP_NAME(_11e0), 0, 4576, PERFDATA_11e0}, /* MOVE */
{ CPU_OP_NAME(_11e8), 0, 4584, PERFDATA_11e8}, /* MOVE */
{ CPU_OP_NAME(_11f0), 0, 4592, PERFDATA_11f0}, /* MOVE */
{ CPU_OP_NAME(_11f8), 0, 4600, PERFDATA_11f8}, /* MOVE */
{ CPU_OP_NAME(_11f9), 0, 4601, PERFDATA_11f9}, /* MOVE */
{ CPU_OP_NAME(_11fa), 0, 4602, PERFDATA_11fa}, /* MOVE */
{ CPU_OP_NAME(_11fb), 0, 4603, PERFDATA_11fb}, /* MOVE */
{ CPU_OP_NAME(_11fc), 0, 4604, PERFDATA_11fc}, /* MOVE */
{ CPU_OP_NAME(_13c0), 0, 5056, PERFDATA_13c0}, /* MOVE */
{ CPU_OP_NAME(_13d0), 0, 5072, PERFDATA_13d0}, /* MOVE */
{ CPU_OP_NAME(_13d8), 0, 5080, PERFDATA_13d8}, /* MOVE */
{ CPU_OP_NAME(_13e0), 0, 5088, PERFDATA_13e0}, /* MOVE */
{ CPU_OP_NAME(_13e8), 0, 5096, PERFDATA_13e8}, /* MOVE */
{ CPU_OP_NAME(_13f0), 0, 5104, PERFDATA_13f0}, /* MOVE */
{ CPU_OP_NAME(_13f8), 0, 5112, PERFDATA_13f8}, /* MOVE */
{ CPU_OP_NAME(_13f9), 0, 5113, PERFDATA_13f9}, /* MOVE */
{ CPU_OP_NAME(_13fa), 0, 5114, PERFDATA_13fa}, /* MOVE */
{ CPU_OP_NAME(_13fb), 0, 5115, PERFDATA_13fb}, /* MOVE */
{ CPU_OP_NAME(_13fc), 0, 5116, PERFDATA_13fc}, /* MOVE */
{ CPU_OP_NAME(_2000), 0, 8192, PERFDATA_2000}, /* MOVE */
{ CPU_OP_NAME(_2008), 0, 8200, PERFDATA_2008}, /* MOVE */
{ CPU_OP_NAME(_2010), 0, 8208, PERFDATA_2010}, /* MOVE */
{ CPU_OP_NAME(_2018), 0, 8216, PERFDATA_2018}, /* MOVE */
{ CPU_OP_NAME(_2020), 0, 8224, PERFDATA_2020}, /* MOVE */
{ CPU_OP_NAME(_2028), 0, 8232, PERFDATA_2028}, /* MOVE */
{ CPU_OP_NAME(_2030), 0, 8240, PERFDATA_2030}, /* MOVE */
{ CPU_OP_NAME(_2038), 0, 8248, PERFDATA_2038}, /* MOVE */
{ CPU_OP_NAME(_2039), 0, 8249, PERFDATA_2039}, /* MOVE */
{ CPU_OP_NAME(_203a), 0, 8250, PERFDATA_203a}, /* MOVE */
{ CPU_OP_NAME(_203b), 0, 8251, PERFDATA_203b}, /* MOVE */
{ CPU_OP_NAME(_203c), 0, 8252, PERFDATA_203c}, /* MOVE */
{ CPU_OP_NAME(_2040), 0, 8256, PERFDATA_2040}, /* MOVEA */
{ CPU_OP_NAME(_2048), 0, 8264, PERFDATA_2048}, /* MOVEA */
{ CPU_OP_NAME(_2050), 0, 8272, PERFDATA_2050}, /* MOVEA */
{ CPU_OP_NAME(_2058), 0, 8280, PERFDATA_2058}, /* MOVEA */
{ CPU_OP_NAME(_2060), 0, 8288, PERFDATA_2060}, /* MOVEA */
{ CPU_OP_NAME(_2068), 0, 8296, PERFDATA_2068}, /* MOVEA */
{ CPU_OP_NAME(_2070), 0, 8304, PERFDATA_2070}, /* MOVEA */
{ CPU_OP_NAME(_2078), 0, 8312, PERFDATA_2078}, /* MOVEA */
{ CPU_OP_NAME(_2079), 0, 8313, PERFDATA_2079}, /* MOVEA */
{ CPU_OP_NAME(_207a), 0, 8314, PERFDATA_207a}, /* MOVEA */
{ CPU_OP_NAME(_207b), 0, 8315, PERFDATA_207b}, /* MOVEA */
{ CPU_OP_NAME(_207c), 0, 8316, PERFDATA_207c}, /* MOVEA */
{ CPU_OP_NAME(_2080), 0, 8320, PERFDATA_2080}, /* MOVE */
{ CPU_OP_NAME(_2088), 0, 8328, PERFDATA_2088}, /* MOVE */
{ CPU_OP_NAME(_2090), 0, 8336, PERFDATA_2090}, /* MOVE */
{ CPU_OP_NAME(_2098), 0, 8344, PERFDATA_2098}, /* MOVE */
{ CPU_OP_NAME(_20a0), 0, 8352, PERFDATA_20a0}, /* MOVE */
{ CPU_OP_NAME(_20a8), 0, 8360, PERFDATA_20a8}, /* MOVE */
{ CPU_OP_NAME(_20b0), 0, 8368, PERFDATA_20b0}, /* MOVE */
{ CPU_OP_NAME(_20b8), 0, 8376, PERFDATA_20b8}, /* MOVE */
{ CPU_OP_NAME(_20b9), 0, 8377, PERFDATA_20b9}, /* MOVE */
{ CPU_OP_NAME(_20ba), 0, 8378, PERFDATA_20ba}, /* MOVE */
{ CPU_OP_NAME(_20bb), 0, 8379, PERFDATA_20bb}, /* MOVE */
{ CPU_OP_NAME(_20bc), 0, 8380, PERFDATA_20bc}, /* MOVE */
{ CPU_OP_NAME(_20c0), 0, 8384, PERFDATA_20c0}, /* MOVE */
{ CPU_OP_NAME(_20c8), 0, 8392, PERFDATA_20c8}, /* MOVE */
{ CPU_OP_NAME(_20d0), 0, 8400, PERFDATA_20d0}, /* MOVE */
{ CPU_OP_NAME(_20d8), 0, 8408, PERFDATA_20d8}, /* MOVE */
{ CPU_OP_NAME(_20e0), 0, 8416, PERFDATA_20e0}, /* MOVE */
{ CPU_OP_NAME(_20e8), 0, 8424, PERFDATA_20e8}, /* MOVE */
{ CPU_OP_NAME(_20f0), 0, 8432, PERFDATA_20f0}, /* MOVE */
{ CPU_OP_NAME(_20f8), 0, 8440, PERFDATA_20f8}, /* MOVE */
{ CPU_OP_NAME(_20f9), 0, 8441, PERFDATA_20f9}, /* MOVE */
{ CPU_OP_NAME(_20fa), 0, 8442, PERFDATA_20fa}, /* MOVE */
{ CPU_OP_NAME(_20fb), 0, 8443, PERFDATA_20fb}, /* MOVE */
{ CPU_OP_NAME(_20fc), 0, 8444, PERFDATA_20fc}, /* MOVE */
{ CPU_OP_NAME(_2100), 0, 8448, PERFDATA_2100}, /* MOVE */
{ CPU_OP_NAME(_2108), 0, 8456, PERFDATA_2108}, /* MOVE */
{ CPU_OP_NAME(_2110), 0, 8464, PERFDATA_2110}, /* MOVE */
{ CPU_OP_NAME(_2118), 0, 8472, PERFDATA_2118}, /* MOVE */
{ CPU_OP_NAME(_2120), 0, 8480, PERFDATA_2120}, /* MOVE */
{ CPU_OP_NAME(_2128), 0, 8488, PERFDATA_2128}, /* MOVE */
{ CPU_OP_NAME(_2130), 0, 8496, PERFDATA_2130}, /* MOVE */
{ CPU_OP_NAME(_2138), 0, 8504, PERFDATA_2138}, /* MOVE */
{ CPU_OP_NAME(_2139), 0, 8505, PERFDATA_2139}, /* MOVE */
{ CPU_OP_NAME(_213a), 0, 8506, PERFDATA_213a}, /* MOVE */
{ CPU_OP_NAME(_213b), 0, 8507, PERFDATA_213b}, /* MOVE */
{ CPU_OP_NAME(_213c), 0, 8508, PERFDATA_213c}, /* MOVE */
{ CPU_OP_NAME(_2140), 0, 8512, PERFDATA_2140}, /* MOVE */
{ CPU_OP_NAME(_2148), 0, 8520, PERFDATA_2148}, /* MOVE */
{ CPU_OP_NAME(_2150), 0, 8528, PERFDATA_2150}, /* MOVE */
{ CPU_OP_NAME(_2158), 0, 8536, PERFDATA_2158}, /* MOVE */
{ CPU_OP_NAME(_2160), 0, 8544, PERFDATA_2160}, /* MOVE */
{ CPU_OP_NAME(_2168), 0, 8552, PERFDATA_2168}, /* MOVE */
{ CPU_OP_NAME(_2170), 0, 8560, PERFDATA_2170}, /* MOVE */
{ CPU_OP_NAME(_2178), 0, 8568, PERFDATA_2178}, /* MOVE */
{ CPU_OP_NAME(_2179), 0, 8569, PERFDATA_2179}, /* MOVE */
{ CPU_OP_NAME(_217a), 0, 8570, PERFDATA_217a}, /* MOVE */
{ CPU_OP_NAME(_217b), 0, 8571, PERFDATA_217b}, /* MOVE */
{ CPU_OP_NAME(_217c), 0, 8572, PERFDATA_217c}, /* MOVE */
{ CPU_OP_NAME(_2180), 0, 8576, PERFDATA_2180}, /* MOVE */
{ CPU_OP_NAME(_2188), 0, 8584, PERFDATA_2188}, /* MOVE */
{ CPU_OP_NAME(_2190), 0, 8592, PERFDATA_2190}, /* MOVE */
{ CPU_OP_NAME(_2198), 0, 8600, PERFDATA_2198}, /* MOVE */
{ CPU_OP_NAME(_21a0), 0, 8608, PERFDATA_21a0}, /* MOVE */
{ CPU_OP_NAME(_21a8), 0, 8616, PERFDATA_21a8}, /* MOVE */
{ CPU_OP_NAME(_21b0), 0, 8624, PERFDATA_21b0}, /* MOVE */
{ CPU_OP_NAME(_21b8), 0, 8632, PERFDATA_21b8}, /* MOVE */
{ CPU_OP_NAME(_21b9), 0, 8633, PERFDATA_21b9}, /* MOVE */
{ CPU_OP_NAME(_21ba), 0, 8634, PERFDATA_21ba}, /* MOVE */
{ CPU_OP_NAME(_21bb), 0, 8635, PERFDATA_21bb}, /* MOVE */
{ CPU_OP_NAME(_21bc), 0, 8636, PERFDATA_21bc}, /* MOVE */
{ CPU_OP_NAME(_21c0), 0, 8640, PERFDATA_21c0}, /* MOVE */
{ CPU_OP_NAME(_21c8), 0, 8648, PERFDATA_21c8}, /* MOVE */
{ CPU_OP_NAME(_21d0), 0, 8656, PERFDATA_21d0}, /* MOVE */
{ CPU_OP_NAME(_21d8), 0, 8664, PERFDATA_21d8}, /* MOVE */
{ CPU_OP_NAME(_21e0), 0, 8672, PERFDATA_21e0}, /* MOVE */
{ CPU_OP_NAME(_21e8), 0, 8680, PERFDATA_21e8}, /* MOVE */
{ CPU_OP_NAME(_21f0), 0, 8688, PERFDATA_21f0}, /* MOVE */
{ CPU_OP_NAME(_21f8), 0, 8696, PERFDATA_21f8}, /* MOVE */
{ CPU_OP_NAME(_21f9), 0, 8697, PERFDATA_21f9}, /* MOVE */
{ CPU_OP_NAME(_21fa), 0, 8698, PERFDATA_21fa}, /* MOVE */
{ CPU_OP_NAME(_21fb), 0, 8699, PERFDATA_21fb}, /* MOVE */
{ CPU_OP_NAME(_21fc), 0, 8700, PERFDATA_21fc}, /* MOVE */
{ CPU_OP_NAME(_23c0), 0, 9152, PERFDATA_23c0}, /* MOVE */
{ CPU_OP_NAME(_23c8), 0, 9160, PERFDATA_23c8}, /* MOVE */
{ CPU_OP_NAME(_23d0), 0, 9168, PERFDATA_23d0}, /* MOVE */
{ CPU_OP_NAME(_23d8), 0, 9176, PERFDATA_23d8}, /* MOVE */
{ CPU_OP_NAME(_23e0), 0, 9184, PERFDATA_23e0}, /* MOVE */
{ CPU_OP_NAME(_23e8), 0, 9192, PERFDATA_23e8}, /* MOVE */
{ CPU_OP_NAME(_23f0), 0, 9200, PERFDATA_23f0}, /* MOVE */
{ CPU_OP_NAME(_23f8), 0, 9208, PERFDATA_23f8}, /* MOVE */
{ CPU_OP_NAME(_23f9), 0, 9209, PERFDATA_23f9}, /* MOVE */
{ CPU_OP_NAME(_23fa), 0, 9210, PERFDATA_23fa}, /* MOVE */
{ CPU_OP_NAME(_23fb), 0, 9211, PERFDATA_23fb}, /* MOVE */
{ CPU_OP_NAME(_23fc), 0, 9212, PERFDATA_23fc}, /* MOVE */
{ CPU_OP_NAME(_3000), 0, 12288, PERFDATA_3000}, /* MOVE */
{ CPU_OP_NAME(_3008), 0, 12296, PERFDATA_3008}, /* MOVE */
{ CPU_OP_NAME(_3010), 0, 12304, PERFDATA_3010}, /* MOVE */
{ CPU_OP_NAME(_3018), 0, 12312, PERFDATA_3018}, /* MOVE */
{ CPU_OP_NAME(_3020), 0, 12320, PERFDATA_3020}, /* MOVE */
{ CPU_OP_NAME(_3028), 0, 12328, PERFDATA_3028}, /* MOVE */
{ CPU_OP_NAME(_3030), 0, 12336, PERFDATA_3030}, /* MOVE */
{ CPU_OP_NAME(_3038), 0, 12344, PERFDATA_3038}, /* MOVE */
{ CPU_OP_NAME(_3039), 0, 12345, PERFDATA_3039}, /* MOVE */
{ CPU_OP_NAME(_303a), 0, 12346, PERFDATA_303a}, /* MOVE */
{ CPU_OP_NAME(_303b), 0, 12347, PERFDATA_303b}, /* MOVE */
{ CPU_OP_NAME(_303c), 0, 12348, PERFDATA_303c}, /* MOVE */
{ CPU_OP_NAME(_3040), 0, 12352, PERFDATA_3040}, /* MOVEA */
{ CPU_OP_NAME(_3048), 0, 12360, PERFDATA_3048}, /* MOVEA */
{ CPU_OP_NAME(_3050), 0, 12368, PERFDATA_3050}, /* MOVEA */
{ CPU_OP_NAME(_3058), 0, 12376, PERFDATA_3058}, /* MOVEA */
{ CPU_OP_NAME(_3060), 0, 12384, PERFDATA_3060}, /* MOVEA */
{ CPU_OP_NAME(_3068), 0, 12392, PERFDATA_3068}, /* MOVEA */
{ CPU_OP_NAME(_3070), 0, 12400, PERFDATA_3070}, /* MOVEA */
{ CPU_OP_NAME(_3078), 0, 12408, PERFDATA_3078}, /* MOVEA */
{ CPU_OP_NAME(_3079), 0, 12409, PERFDATA_3079}, /* MOVEA */
{ CPU_OP_NAME(_307a), 0, 12410, PERFDATA_307a}, /* MOVEA */
{ CPU_OP_NAME(_307b), 0, 12411, PERFDATA_307b}, /* MOVEA */
{ CPU_OP_NAME(_307c), 0, 12412, PERFDATA_307c}, /* MOVEA */
{ CPU_OP_NAME(_3080), 0, 12416, PERFDATA_3080}, /* MOVE */
{ CPU_OP_NAME(_3088), 0, 12424, PERFDATA_3088}, /* MOVE */
{ CPU_OP_NAME(_3090), 0, 12432, PERFDATA_3090}, /* MOVE */
{ CPU_OP_NAME(_3098), 0, 12440, PERFDATA_3098}, /* MOVE */
{ CPU_OP_NAME(_30a0), 0, 12448, PERFDATA_30a0}, /* MOVE */
{ CPU_OP_NAME(_30a8), 0, 12456, PERFDATA_30a8}, /* MOVE */
{ CPU_OP_NAME(_30b0), 0, 12464, PERFDATA_30b0}, /* MOVE */
{ CPU_OP_NAME(_30b8), 0, 12472, PERFDATA_30b8}, /* MOVE */
{ CPU_OP_NAME(_30b9), 0, 12473, PERFDATA_30b9}, /* MOVE */
{ CPU_OP_NAME(_30ba), 0, 12474, PERFDATA_30ba}, /* MOVE */
{ CPU_OP_NAME(_30bb), 0, 12475, PERFDATA_30bb}, /* MOVE */
{ CPU_OP_NAME(_30bc), 0, 12476, PERFDATA_30bc}, /* MOVE */
{ CPU_OP_NAME(_30c0), 0, 12480, PERFDATA_30c0}, /* MOVE */
{ CPU_OP_NAME(_30c8), 0, 12488, PERFDATA_30c8}, /* MOVE */
{ CPU_OP_NAME(_30d0), 0, 12496, PERFDATA_30d0}, /* MOVE */
{ CPU_OP_NAME(_30d8), 0, 12504, PERFDATA_30d8}, /* MOVE */
{ CPU_OP_NAME(_30e0), 0, 12512, PERFDATA_30e0}, /* MOVE */
{ CPU_OP_NAME(_30e8), 0, 12520, PERFDATA_30e8}, /* MOVE */
{ CPU_OP_NAME(_30f0), 0, 12528, PERFDATA_30f0}, /* MOVE */
{ CPU_OP_NAME(_30f8), 0, 12536, PERFDATA_30f8}, /* MOVE */
{ CPU_OP_NAME(_30f9), 0, 12537, PERFDATA_30f9}, /* MOVE */
{ CPU_OP_NAME(_30fa), 0, 12538, PERFDATA_30fa}, /* MOVE */
{ CPU_OP_NAME(_30fb), 0, 12539, PERFDATA_30fb}, /* MOVE */
{ CPU_OP_NAME(_30fc), 0, 12540, PERFDATA_30fc}, /* MOVE */
{ CPU_OP_NAME(_3100), 0, 12544, PERFDATA_3100}, /* MOVE */
{ CPU_OP_NAME(_3108), 0, 12552, PERFDATA_3108}, /* MOVE */
{ CPU_OP_NAME(_3110), 0, 12560, PERFDATA_3110}, /* MOVE */
{ CPU_OP_NAME(_3118), 0, 12568, PERFDATA_3118}, /* MOVE */
{ CPU_OP_NAME(_3120), 0, 12576, PERFDATA_3120}, /* MOVE */
{ CPU_OP_NAME(_3128), 0, 12584, PERFDATA_3128}, /* MOVE */
{ CPU_OP_NAME(_3130), 0, 12592, PERFDATA_3130}, /* MOVE */
{ CPU_OP_NAME(_3138), 0, 12600, PERFDATA_3138}, /* MOVE */
{ CPU_OP_NAME(_3139), 0, 12601, PERFDATA_3139}, /* MOVE */
{ CPU_OP_NAME(_313a), 0, 12602, PERFDATA_313a}, /* MOVE */
{ CPU_OP_NAME(_313b), 0, 12603, PERFDATA_313b}, /* MOVE */
{ CPU_OP_NAME(_313c), 0, 12604, PERFDATA_313c}, /* MOVE */
{ CPU_OP_NAME(_3140), 0, 12608, PERFDATA_3140}, /* MOVE */
{ CPU_OP_NAME(_3148), 0, 12616, PERFDATA_3148}, /* MOVE */
{ CPU_OP_NAME(_3150), 0, 12624, PERFDATA_3150}, /* MOVE */
{ CPU_OP_NAME(_3158), 0, 12632, PERFDATA_3158}, /* MOVE */
{ CPU_OP_NAME(_3160), 0, 12640, PERFDATA_3160}, /* MOVE */
{ CPU_OP_NAME(_3168), 0, 12648, PERFDATA_3168}, /* MOVE */
{ CPU_OP_NAME(_3170), 0, 12656, PERFDATA_3170}, /* MOVE */
{ CPU_OP_NAME(_3178), 0, 12664, PERFDATA_3178}, /* MOVE */
{ CPU_OP_NAME(_3179), 0, 12665, PERFDATA_3179}, /* MOVE */
{ CPU_OP_NAME(_317a), 0, 12666, PERFDATA_317a}, /* MOVE */
{ CPU_OP_NAME(_317b), 0, 12667, PERFDATA_317b}, /* MOVE */
{ CPU_OP_NAME(_317c), 0, 12668, PERFDATA_317c}, /* MOVE */
{ CPU_OP_NAME(_3180), 0, 12672, PERFDATA_3180}, /* MOVE */
{ CPU_OP_NAME(_3188), 0, 12680, PERFDATA_3188}, /* MOVE */
{ CPU_OP_NAME(_3190), 0, 12688, PERFDATA_3190}, /* MOVE */
{ CPU_OP_NAME(_3198), 0, 12696, PERFDATA_3198}, /* MOVE */
{ CPU_OP_NAME(_31a0), 0, 12704, PERFDATA_31a0}, /* MOVE */
{ CPU_OP_NAME(_31a8), 0, 12712, PERFDATA_31a8}, /* MOVE */
{ CPU_OP_NAME(_31b0), 0, 12720, PERFDATA_31b0}, /* MOVE */
{ CPU_OP_NAME(_31b8), 0, 12728, PERFDATA_31b8}, /* MOVE */
{ CPU_OP_NAME(_31b9), 0, 12729, PERFDATA_31b9}, /* MOVE */
{ CPU_OP_NAME(_31ba), 0, 12730, PERFDATA_31ba}, /* MOVE */
{ CPU_OP_NAME(_31bb), 0, 12731, PERFDATA_31bb}, /* MOVE */
{ CPU_OP_NAME(_31bc), 0, 12732, PERFDATA_31bc}, /* MOVE */
{ CPU_OP_NAME(_31c0), 0, 12736, PERFDATA_31c0}, /* MOVE */
{ CPU_OP_NAME(_31c8), 0, 12744, PERFDATA_31c8}, /* MOVE */
{ CPU_OP_NAME(_31d0), 0, 12752, PERFDATA_31d0}, /* MOVE */
{ CPU_OP_NAME(_31d8), 0, 12760, PERFDATA_31d8}, /* MOVE */
{ CPU_OP_NAME(_31e0), 0, 12768, PERFDATA_31e0}, /* MOVE */
{ CPU_OP_NAME(_31e8), 0, 12776, PERFDATA_31e8}, /* MOVE */
{ CPU_OP_NAME(_31f0), 0, 12784, PERFDATA_31f0}, /* MOVE */
{ CPU_OP_NAME(_31f8), 0, 12792, PERFDATA_31f8}, /* MOVE */
{ CPU_OP_NAME(_31f9), 0, 12793, PERFDATA_31f9}, /* MOVE */
{ CPU_OP_NAME(_31fa), 0, 12794, PERFDATA_31fa}, /* MOVE */
{ CPU_OP_NAME(_31fb), 0, 12795, PERFDATA_31fb}, /* MOVE */
{ CPU_OP_NAME(_31fc), 0, 12796, PERFDATA_31fc}, /* MOVE */
{ CPU_OP_NAME(_33c0), 0, 13248, PERFDATA_33c0}, /* MOVE */
{ CPU_OP_NAME(_33c8), 0, 13256, PERFDATA_33c8}, /* MOVE */
{ CPU_OP_NAME(_33d0), 0, 13264, PERFDATA_33d0}, /* MOVE */
{ CPU_OP_NAME(_33d8), 0, 13272, PERFDATA_33d8}, /* MOVE */
{ CPU_OP_NAME(_33e0), 0, 13280, PERFDATA_33e0}, /* MOVE */
{ CPU_OP_NAME(_33e8), 0, 13288, PERFDATA_33e8}, /* MOVE */
{ CPU_OP_NAME(_33f0), 0, 13296, PERFDATA_33f0}, /* MOVE */
{ CPU_OP_NAME(_33f8), 0, 13304, PERFDATA_33f8}, /* MOVE */
{ CPU_OP_NAME(_33f9), 0, 13305, PERFDATA_33f9}, /* MOVE */
{ CPU_OP_NAME(_33fa), 0, 13306, PERFDATA_33fa}, /* MOVE */
{ CPU_OP_NAME(_33fb), 0, 13307, PERFDATA_33fb}, /* MOVE */
{ CPU_OP_NAME(_33fc), 0, 13308, PERFDATA_33fc}, /* MOVE */
{ CPU_OP_NAME(_4000), 0, 16384, PERFDATA_4000}, /* NEGX */
{ CPU_OP_NAME(_4010), 0, 16400, PERFDATA_4010}, /* NEGX */
{ CPU_OP_NAME(_4018), 0, 16408, PERFDATA_4018}, /* NEGX */
{ CPU_OP_NAME(_4020), 0, 16416, PERFDATA_4020}, /* NEGX */
{ CPU_OP_NAME(_4028), 0, 16424, PERFDATA_4028}, /* NEGX */
{ CPU_OP_NAME(_4030), 0, 16432, PERFDATA_4030}, /* NEGX */
{ CPU_OP_NAME(_4038), 0, 16440, PERFDATA_4038}, /* NEGX */
{ CPU_OP_NAME(_4039), 0, 16441, PERFDATA_4039}, /* NEGX */
{ CPU_OP_NAME(_4040), 0, 16448, PERFDATA_4040}, /* NEGX */
{ CPU_OP_NAME(_4050), 0, 16464, PERFDATA_4050}, /* NEGX */
{ CPU_OP_NAME(_4058), 0, 16472, PERFDATA_4058}, /* NEGX */
{ CPU_OP_NAME(_4060), 0, 16480, PERFDATA_4060}, /* NEGX */
{ CPU_OP_NAME(_4068), 0, 16488, PERFDATA_4068}, /* NEGX */
{ CPU_OP_NAME(_4070), 0, 16496, PERFDATA_4070}, /* NEGX */
{ CPU_OP_NAME(_4078), 0, 16504, PERFDATA_4078}, /* NEGX */
{ CPU_OP_NAME(_4079), 0, 16505, PERFDATA_4079}, /* NEGX */
{ CPU_OP_NAME(_4080), 0, 16512, PERFDATA_4080}, /* NEGX */
{ CPU_OP_NAME(_4090), 0, 16528, PERFDATA_4090}, /* NEGX */
{ CPU_OP_NAME(_4098), 0, 16536, PERFDATA_4098}, /* NEGX */
{ CPU_OP_NAME(_40a0), 0, 16544, PERFDATA_40a0}, /* NEGX */
{ CPU_OP_NAME(_40a8), 0, 16552, PERFDATA_40a8}, /* NEGX */
{ CPU_OP_NAME(_40b0), 0, 16560, PERFDATA_40b0}, /* NEGX */
{ CPU_OP_NAME(_40b8), 0, 16568, PERFDATA_40b8}, /* NEGX */
{ CPU_OP_NAME(_40b9), 0, 16569, PERFDATA_40b9}, /* NEGX */
{ CPU_OP_NAME(_40c0), 0, 16576, PERFDATA_40c0}, /* MVSR2 */
{ CPU_OP_NAME(_40d0), 0, 16592, PERFDATA_40d0}, /* MVSR2 */
{ CPU_OP_NAME(_40d8), 0, 16600, PERFDATA_40d8}, /* MVSR2 */
{ CPU_OP_NAME(_40e0), 0, 16608, PERFDATA_40e0}, /* MVSR2 */
{ CPU_OP_NAME(_40e8), 0, 16616, PERFDATA_40e8}, /* MVSR2 */
{ CPU_OP_NAME(_40f0), 0, 16624, PERFDATA_40f0}, /* MVSR2 */
{ CPU_OP_NAME(_40f8), 0, 16632, PERFDATA_40f8}, /* MVSR2 */
{ CPU_OP_NAME(_40f9), 0, 16633, PERFDATA_40f9}, /* MVSR2 */
{ CPU_OP_NAME(_4100), 0, 16640, PERFDATA_4100}, /* CHK */
{ CPU_OP_NAME(_4110), 0, 16656, PERFDATA_4110}, /* CHK */
{ CPU_OP_NAME(_4118), 0, 16664, PERFDATA_4118}, /* CHK */
{ CPU_OP_NAME(_4120), 0, 16672, PERFDATA_4120}, /* CHK */
{ CPU_OP_NAME(_4128), 0, 16680, PERFDATA_4128}, /* CHK */
{ CPU_OP_NAME(_4130), 0, 16688, PERFDATA_4130}, /* CHK */
{ CPU_OP_NAME(_4138), 0, 16696, PERFDATA_4138}, /* CHK */
{ CPU_OP_NAME(_4139), 0, 16697, PERFDATA_4139}, /* CHK */
{ CPU_OP_NAME(_413a), 0, 16698, PERFDATA_413a}, /* CHK */
{ CPU_OP_NAME(_413b), 0, 16699, PERFDATA_413b}, /* CHK */
{ CPU_OP_NAME(_413c), 0, 16700, PERFDATA_413c}, /* CHK */
{ CPU_OP_NAME(_4180), 0, 16768, PERFDATA_4180}, /* CHK */
{ CPU_OP_NAME(_4190), 0, 16784, PERFDATA_4190}, /* CHK */
{ CPU_OP_NAME(_4198), 0, 16792, PERFDATA_4198}, /* CHK */
{ CPU_OP_NAME(_41a0), 0, 16800, PERFDATA_41a0}, /* CHK */
{ CPU_OP_NAME(_41a8), 0, 16808, PERFDATA_41a8}, /* CHK */
{ CPU_OP_NAME(_41b0), 0, 16816, PERFDATA_41b0}, /* CHK */
{ CPU_OP_NAME(_41b8), 0, 16824, PERFDATA_41b8}, /* CHK */
{ CPU_OP_NAME(_41b9), 0, 16825, PERFDATA_41b9}, /* CHK */
{ CPU_OP_NAME(_41ba), 0, 16826, PERFDATA_41ba}, /* CHK */
{ CPU_OP_NAME(_41bb), 0, 16827, PERFDATA_41bb}, /* CHK */
{ CPU_OP_NAME(_41bc), 0, 16828, PERFDATA_41bc}, /* CHK */
{ CPU_OP_NAME(_41d0), 0, 16848, PERFDATA_41d0}, /* LEA */
{ CPU_OP_NAME(_41e8), 0, 16872, PERFDATA_41e8}, /* LEA */
{ CPU_OP_NAME(_41f0), 0, 16880, PERFDATA_41f0}, /* LEA */
{ CPU_OP_NAME(_41f8), 0, 16888, PERFDATA_41f8}, /* LEA */
{ CPU_OP_NAME(_41f9), 0, 16889, PERFDATA_41f9}, /* LEA */
{ CPU_OP_NAME(_41fa), 0, 16890, PERFDATA_41fa}, /* LEA */
{ CPU_OP_NAME(_41fb), 0, 16891, PERFDATA_41fb}, /* LEA */
{ CPU_OP_NAME(_4200), 0, 16896, PERFDATA_4200}, /* CLR */
{ CPU_OP_NAME(_4210), 0, 16912, PERFDATA_4210}, /* CLR */
{ CPU_OP_NAME(_4218), 0, 16920, PERFDATA_4218}, /* CLR */
{ CPU_OP_NAME(_4220), 0, 16928, PERFDATA_4220}, /* CLR */
{ CPU_OP_NAME(_4228), 0, 16936, PERFDATA_4228}, /* CLR */
{ CPU_OP_NAME(_4230), 0, 16944, PERFDATA_4230}, /* CLR */
{ CPU_OP_NAME(_4238), 0, 16952, PERFDATA_4238}, /* CLR */
{ CPU_OP_NAME(_4239), 0, 16953, PERFDATA_4239}, /* CLR */
{ CPU_OP_NAME(_4240), 0, 16960, PERFDATA_4240}, /* CLR */
{ CPU_OP_NAME(_4250), 0, 16976, PERFDATA_4250}, /* CLR */
{ CPU_OP_NAME(_4258), 0, 16984, PERFDATA_4258}, /* CLR */
{ CPU_OP_NAME(_4260), 0, 16992, PERFDATA_4260}, /* CLR */
{ CPU_OP_NAME(_4268), 0, 17000, PERFDATA_4268}, /* CLR */
{ CPU_OP_NAME(_4270), 0, 17008, PERFDATA_4270}, /* CLR */
{ CPU_OP_NAME(_4278), 0, 17016, PERFDATA_4278}, /* CLR */
{ CPU_OP_NAME(_4279), 0, 17017, PERFDATA_4279}, /* CLR */
{ CPU_OP_NAME(_4280), 0, 17024, PERFDATA_4280}, /* CLR */
{ CPU_OP_NAME(_4290), 0, 17040, PERFDATA_4290}, /* CLR */
{ CPU_OP_NAME(_4298), 0, 17048, PERFDATA_4298}, /* CLR */
{ CPU_OP_NAME(_42a0), 0, 17056, PERFDATA_42a0}, /* CLR */
{ CPU_OP_NAME(_42a8), 0, 17064, PERFDATA_42a8}, /* CLR */
{ CPU_OP_NAME(_42b0), 0, 17072, PERFDATA_42b0}, /* CLR */
{ CPU_OP_NAME(_42b8), 0, 17080, PERFDATA_42b8}, /* CLR */
{ CPU_OP_NAME(_42b9), 0, 17081, PERFDATA_42b9}, /* CLR */
{ CPU_OP_NAME(_4400), 0, 17408, PERFDATA_4400}, /* NEG */
{ CPU_OP_NAME(_4410), 0, 17424, PERFDATA_4410}, /* NEG */
{ CPU_OP_NAME(_4418), 0, 17432, PERFDATA_4418}, /* NEG */
{ CPU_OP_NAME(_4420), 0, 17440, PERFDATA_4420}, /* NEG */
{ CPU_OP_NAME(_4428), 0, 17448, PERFDATA_4428}, /* NEG */
{ CPU_OP_NAME(_4430), 0, 17456, PERFDATA_4430}, /* NEG */
{ CPU_OP_NAME(_4438), 0, 17464, PERFDATA_4438}, /* NEG */
{ CPU_OP_NAME(_4439), 0, 17465, PERFDATA_4439}, /* NEG */
{ CPU_OP_NAME(_4440), 0, 17472, PERFDATA_4440}, /* NEG */
{ CPU_OP_NAME(_4450), 0, 17488, PERFDATA_4450}, /* NEG */
{ CPU_OP_NAME(_4458), 0, 17496, PERFDATA_4458}, /* NEG */
{ CPU_OP_NAME(_4460), 0, 17504, PERFDATA_4460}, /* NEG */
{ CPU_OP_NAME(_4468), 0, 17512, PERFDATA_4468}, /* NEG */
{ CPU_OP_NAME(_4470), 0, 17520, PERFDATA_4470}, /* NEG */
{ CPU_OP_NAME(_4478), 0, 17528, PERFDATA_4478}, /* NEG */
{ CPU_OP_NAME(_4479), 0, 17529, PERFDATA_4479}, /* NEG */
{ CPU_OP_NAME(_4480), 0, 17536, PERFDATA_4480}, /* NEG */
{ CPU_OP_NAME(_4490), 0, 17552, PERFDATA_4490}, /* NEG */
{ CPU_OP_NAME(_4498), 0, 17560, PERFDATA_4498}, /* NEG */
{ CPU_OP_NAME(_44a0), 0, 17568, PERFDATA_44a0}, /* NEG */
{ CPU_OP_NAME(_44a8), 0, 17576, PERFDATA_44a8}, /* NEG */
{ CPU_OP_NAME(_44b0), 0, 17584, PERFDATA_44b0}, /* NEG */
{ CPU_OP_NAME(_44b8), 0, 17592, PERFDATA_44b8}, /* NEG */
{ CPU_OP_NAME(_44b9), 0, 17593, PERFDATA_44b9}, /* NEG */
{ CPU_OP_NAME(_44c0), 0, 17600, PERFDATA_44c0}, /* MV2SR */
{ CPU_OP_NAME(_44d0), 0, 17616, PERFDATA_44d0}, /* MV2SR */
{ CPU_OP_NAME(_44d8), 0, 17624, PERFDATA_44d8}, /* MV2SR */
{ CPU_OP_NAME(_44e0), 0, 17632, PERFDATA_44e0}, /* MV2SR */
{ CPU_OP_NAME(_44e8), 0, 17640, PERFDATA_44e8}, /* MV2SR */
{ CPU_OP_NAME(_44f0), 0, 17648, PERFDATA_44f0}, /* MV2SR */
{ CPU_OP_NAME(_44f8), 0, 17656, PERFDATA_44f8}, /* MV2SR */
{ CPU_OP_NAME(_44f9), 0, 17657, PERFDATA_44f9}, /* MV2SR */
{ CPU_OP_NAME(_44fa), 0, 17658, PERFDATA_44fa}, /* MV2SR */
{ CPU_OP_NAME(_44fb), 0, 17659, PERFDATA_44fb}, /* MV2SR */
{ CPU_OP_NAME(_44fc), 0, 17660, PERFDATA_44fc}, /* MV2SR */
{ CPU_OP_NAME(_4600), 0, 17920, PERFDATA_4600}, /* NOT */
{ CPU_OP_NAME(_4610), 0, 17936, PERFDATA_4610}, /* NOT */
{ CPU_OP_NAME(_4618), 0, 17944, PERFDATA_4618}, /* NOT */
{ CPU_OP_NAME(_4620), 0, 17952, PERFDATA_4620}, /* NOT */
{ CPU_OP_NAME(_4628), 0, 17960, PERFDATA_4628}, /* NOT */
{ CPU_OP_NAME(_4630), 0, 17968, PERFDATA_4630}, /* NOT */
{ CPU_OP_NAME(_4638), 0, 17976, PERFDATA_4638}, /* NOT */
{ CPU_OP_NAME(_4639), 0, 17977, PERFDATA_4639}, /* NOT */
{ CPU_OP_NAME(_4640), 0, 17984, PERFDATA_4640}, /* NOT */
{ CPU_OP_NAME(_4650), 0, 18000, PERFDATA_4650}, /* NOT */
{ CPU_OP_NAME(_4658), 0, 18008, PERFDATA_4658}, /* NOT */
{ CPU_OP_NAME(_4660), 0, 18016, PERFDATA_4660}, /* NOT */
{ CPU_OP_NAME(_4668), 0, 18024, PERFDATA_4668}, /* NOT */
{ CPU_OP_NAME(_4670), 0, 18032, PERFDATA_4670}, /* NOT */
{ CPU_OP_NAME(_4678), 0, 18040, PERFDATA_4678}, /* NOT */
{ CPU_OP_NAME(_4679), 0, 18041, PERFDATA_4679}, /* NOT */
{ CPU_OP_NAME(_4680), 0, 18048, PERFDATA_4680}, /* NOT */
{ CPU_OP_NAME(_4690), 0, 18064, PERFDATA_4690}, /* NOT */
{ CPU_OP_NAME(_4698), 0, 18072, PERFDATA_4698}, /* NOT */
{ CPU_OP_NAME(_46a0), 0, 18080, PERFDATA_46a0}, /* NOT */
{ CPU_OP_NAME(_46a8), 0, 18088, PERFDATA_46a8}, /* NOT */
{ CPU_OP_NAME(_46b0), 0, 18096, PERFDATA_46b0}, /* NOT */
{ CPU_OP_NAME(_46b8), 0, 18104, PERFDATA_46b8}, /* NOT */
{ CPU_OP_NAME(_46b9), 0, 18105, PERFDATA_46b9}, /* NOT */
{ CPU_OP_NAME(_46c0), 0, 18112, PERFDATA_46c0}, /* MV2SR */
{ CPU_OP_NAME(_46d0), 0, 18128, PERFDATA_46d0}, /* MV2SR */
{ CPU_OP_NAME(_46d8), 0, 18136, PERFDATA_46d8}, /* MV2SR */
{ CPU_OP_NAME(_46e0), 0, 18144, PERFDATA_46e0}, /* MV2SR */
{ CPU_OP_NAME(_46e8), 0, 18152, PERFDATA_46e8}, /* MV2SR */
{ CPU_OP_NAME(_46f0), 0, 18160, PERFDATA_46f0}, /* MV2SR */
{ CPU_OP_NAME(_46f8), 0, 18168, PERFDATA_46f8}, /* MV2SR */
{ CPU_OP_NAME(_46f9), 0, 18169, PERFDATA_46f9}, /* MV2SR */
{ CPU_OP_NAME(_46fa), 0, 18170, PERFDATA_46fa}, /* MV2SR */
{ CPU_OP_NAME(_46fb), 0, 18171, PERFDATA_46fb}, /* MV2SR */
{ CPU_OP_NAME(_46fc), 0, 18172, PERFDATA_46fc}, /* MV2SR */
{ CPU_OP_NAME(_4800), 0, 18432, PERFDATA_4800}, /* NBCD */
{ CPU_OP_NAME(_4810), 0, 18448, PERFDATA_4810}, /* NBCD */
{ CPU_OP_NAME(_4818), 0, 18456, PERFDATA_4818}, /* NBCD */
{ CPU_OP_NAME(_4820), 0, 18464, PERFDATA_4820}, /* NBCD */
{ CPU_OP_NAME(_4828), 0, 18472, PERFDATA_4828}, /* NBCD */
{ CPU_OP_NAME(_4830), 0, 18480, PERFDATA_4830}, /* NBCD */
{ CPU_OP_NAME(_4838), 0, 18488, PERFDATA_4838}, /* NBCD */
{ CPU_OP_NAME(_4839), 0, 18489, PERFDATA_4839}, /* NBCD */
{ CPU_OP_NAME(_4840), 0, 18496, PERFDATA_4840}, /* SWAP */
{ CPU_OP_NAME(_4850), 0, 18512, PERFDATA_4850}, /* PEA */
{ CPU_OP_NAME(_4868), 0, 18536, PERFDATA_4868}, /* PEA */
{ CPU_OP_NAME(_4870), 0, 18544, PERFDATA_4870}, /* PEA */
{ CPU_OP_NAME(_4878), 0, 18552, PERFDATA_4878}, /* PEA */
{ CPU_OP_NAME(_4879), 0, 18553, PERFDATA_4879}, /* PEA */
{ CPU_OP_NAME(_487a), 0, 18554, PERFDATA_487a}, /* PEA */
{ CPU_OP_NAME(_487b), 0, 18555, PERFDATA_487b}, /* PEA */
{ CPU_OP_NAME(_4880), 0, 18560, PERFDATA_4880}, /* EXT */
{ CPU_OP_NAME(_4890), 0, 18576, PERFDATA_4890}, /* MVMLE */
{ CPU_OP_NAME(_48a0), 0, 18592, PERFDATA_48a0}, /* MVMLE */
{ CPU_OP_NAME(_48a8), 0, 18600, PERFDATA_48a8}, /* MVMLE */
{ CPU_OP_NAME(_48b0), 0, 18608, PERFDATA_48b0}, /* MVMLE */
{ CPU_OP_NAME(_48b8), 0, 18616, PERFDATA_48b8}, /* MVMLE */
{ CPU_OP_NAME(_48b9), 0, 18617, PERFDATA_48b9}, /* MVMLE */
{ CPU_OP_NAME(_48c0), 0, 18624, PERFDATA_48c0}, /* EXT */
{ CPU_OP_NAME(_48d0), 0, 18640, PERFDATA_48d0}, /* MVMLE */
{ CPU_OP_NAME(_48e0), 0, 18656, PERFDATA_48e0}, /* MVMLE */
{ CPU_OP_NAME(_48e8), 0, 18664, PERFDATA_48e8}, /* MVMLE */
{ CPU_OP_NAME(_48f0), 0, 18672, PERFDATA_48f0}, /* MVMLE */
{ CPU_OP_NAME(_48f8), 0, 18680, PERFDATA_48f8}, /* MVMLE */
{ CPU_OP_NAME(_48f9), 0, 18681, PERFDATA_48f9}, /* MVMLE */
{ CPU_OP_NAME(_49c0), 0, 18880, PERFDATA_49c0}, /* EXT */
{ CPU_OP_NAME(_4a00), 0, 18944, PERFDATA_4a00}, /* TST */
{ CPU_OP_NAME(_4a10), 0, 18960, PERFDATA_4a10}, /* TST */
{ CPU_OP_NAME(_4a18), 0, 18968, PERFDATA_4a18}, /* TST */
{ CPU_OP_NAME(_4a20), 0, 18976, PERFDATA_4a20}, /* TST */
{ CPU_OP_NAME(_4a28), 0, 18984, PERFDATA_4a28}, /* TST */
{ CPU_OP_NAME(_4a30), 0, 18992, PERFDATA_4a30}, /* TST */
{ CPU_OP_NAME(_4a38), 0, 19000, PERFDATA_4a38}, /* TST */
{ CPU_OP_NAME(_4a39), 0, 19001, PERFDATA_4a39}, /* TST */
{ CPU_OP_NAME(_4a3a), 0, 19002, PERFDATA_4a3a}, /* TST */
{ CPU_OP_NAME(_4a3b), 0, 19003, PERFDATA_4a3b}, /* TST */
{ CPU_OP_NAME(_4a3c), 0, 19004, PERFDATA_4a3c}, /* TST */
{ CPU_OP_NAME(_4a40), 0, 19008, PERFDATA_4a40}, /* TST */
{ CPU_OP_NAME(_4a48), 0, 19016, PERFDATA_4a48}, /* TST */
{ CPU_OP_NAME(_4a50), 0, 19024, PERFDATA_4a50}, /* TST */
{ CPU_OP_NAME(_4a58), 0, 19032, PERFDATA_4a58}, /* TST */
{ CPU_OP_NAME(_4a60), 0, 19040, PERFDATA_4a60}, /* TST */
{ CPU_OP_NAME(_4a68), 0, 19048, PERFDATA_4a68}, /* TST */
{ CPU_OP_NAME(_4a70), 0, 19056, PERFDATA_4a70}, /* TST */
{ CPU_OP_NAME(_4a78), 0, 19064, PERFDATA_4a78}, /* TST */
{ CPU_OP_NAME(_4a79), 0, 19065, PERFDATA_4a79}, /* TST */
{ CPU_OP_NAME(_4a7a), 0, 19066, PERFDATA_4a7a}, /* TST */
{ CPU_OP_NAME(_4a7b), 0, 19067, PERFDATA_4a7b}, /* TST */
{ CPU_OP_NAME(_4a7c), 0, 19068, PERFDATA_4a7c}, /* TST */
{ CPU_OP_NAME(_4a80), 0, 19072, PERFDATA_4a80}, /* TST */
{ CPU_OP_NAME(_4a88), 0, 19080, PERFDATA_4a88}, /* TST */
{ CPU_OP_NAME(_4a90), 0, 19088, PERFDATA_4a90}, /* TST */
{ CPU_OP_NAME(_4a98), 0, 19096, PERFDATA_4a98}, /* TST */
{ CPU_OP_NAME(_4aa0), 0, 19104, PERFDATA_4aa0}, /* TST */
{ CPU_OP_NAME(_4aa8), 0, 19112, PERFDATA_4aa8}, /* TST */
{ CPU_OP_NAME(_4ab0), 0, 19120, PERFDATA_4ab0}, /* TST */
{ CPU_OP_NAME(_4ab8), 0, 19128, PERFDATA_4ab8}, /* TST */
{ CPU_OP_NAME(_4ab9), 0, 19129, PERFDATA_4ab9}, /* TST */
{ CPU_OP_NAME(_4aba), 0, 19130, PERFDATA_4aba}, /* TST */
{ CPU_OP_NAME(_4abb), 0, 19131, PERFDATA_4abb}, /* TST */
{ CPU_OP_NAME(_4abc), 0, 19132, PERFDATA_4abc}, /* TST */
{ CPU_OP_NAME(_4ac0), 0, 19136, PERFDATA_4ac0}, /* TAS */
{ CPU_OP_NAME(_4ad0), 0, 19152, PERFDATA_4ad0}, /* TAS */
{ CPU_OP_NAME(_4ad8), 0, 19160, PERFDATA_4ad8}, /* TAS */
{ CPU_OP_NAME(_4ae0), 0, 19168, PERFDATA_4ae0}, /* TAS */
{ CPU_OP_NAME(_4ae8), 0, 19176, PERFDATA_4ae8}, /* TAS */
{ CPU_OP_NAME(_4af0), 0, 19184, PERFDATA_4af0}, /* TAS */
{ CPU_OP_NAME(_4af8), 0, 19192, PERFDATA_4af8}, /* TAS */
{ CPU_OP_NAME(_4af9), 0, 19193, PERFDATA_4af9}, /* TAS */
{ CPU_OP_NAME(_4c90), 0, 19600, PERFDATA_4c90}, /* MVMEL */
{ CPU_OP_NAME(_4c98), 0, 19608, PERFDATA_4c98}, /* MVMEL */
{ CPU_OP_NAME(_4ca8), 0, 19624, PERFDATA_4ca8}, /* MVMEL */
{ CPU_OP_NAME(_4cb0), 0, 19632, PERFDATA_4cb0}, /* MVMEL */
{ CPU_OP_NAME(_4cb8), 0, 19640, PERFDATA_4cb8}, /* MVMEL */
{ CPU_OP_NAME(_4cb9), 0, 19641, PERFDATA_4cb9}, /* MVMEL */
{ CPU_OP_NAME(_4cba), 0, 19642, PERFDATA_4cba}, /* MVMEL */
{ CPU_OP_NAME(_4cbb), 0, 19643, PERFDATA_4cbb}, /* MVMEL */
{ CPU_OP_NAME(_4cd0), 0, 19664, PERFDATA_4cd0}, /* MVMEL */
{ CPU_OP_NAME(_4cd8), 0, 19672, PERFDATA_4cd8}, /* MVMEL */
{ CPU_OP_NAME(_4ce8), 0, 19688, PERFDATA_4ce8}, /* MVMEL */
{ CPU_OP_NAME(_4cf0), 0, 19696, PERFDATA_4cf0}, /* MVMEL */
{ CPU_OP_NAME(_4cf8), 0, 19704, PERFDATA_4cf8}, /* MVMEL */
{ CPU_OP_NAME(_4cf9), 0, 19705, PERFDATA_4cf9}, /* MVMEL */
{ CPU_OP_NAME(_4cfa), 0, 19706, PERFDATA_4cfa}, /* MVMEL */
{ CPU_OP_NAME(_4cfb), 0, 19707, PERFDATA_4cfb}, /* MVMEL */
{ CPU_OP_NAME(_4e40), 0, 20032, PERFDATA_4e40}, /* TRAP */
{ CPU_OP_NAME(_4e50), 0, 20048, PERFDATA_4e50}, /* LINK */
{ CPU_OP_NAME(_4e58), 0, 20056, PERFDATA_4e58}, /* UNLK */
{ CPU_OP_NAME(_4e60), 0, 20064, PERFDATA_4e60}, /* MVR2USP */
{ CPU_OP_NAME(_4e68), 0, 20072, PERFDATA_4e68}, /* MVUSP2R */
{ CPU_OP_NAME(_4e70), 0, 20080, PERFDATA_4e70}, /* RESET */
{ CPU_OP_NAME(_4e71), 0, 20081, PERFDATA_4e71}, /* NOP */
{ CPU_OP_NAME(_4e72), 0, 20082, PERFDATA_4e72}, /* STOP */
{ CPU_OP_NAME(_4e73), 0, 20083, PERFDATA_4e73}, /* RTE */
{ CPU_OP_NAME(_4e74), 0, 20084, PERFDATA_4e74}, /* RTD */
{ CPU_OP_NAME(_4e75), 0, 20085, PERFDATA_4e75}, /* RTS */
{ CPU_OP_NAME(_4e76), 0, 20086, PERFDATA_4e76}, /* TRAPV */
{ CPU_OP_NAME(_4e77), 0, 20087, PERFDATA_4e77}, /* RTR */
{ CPU_OP_NAME(_4e90), 0, 20112, PERFDATA_4e90}, /* JSR */
{ CPU_OP_NAME(_4ea8), 0, 20136, PERFDATA_4ea8}, /* JSR */
{ CPU_OP_NAME(_4eb0), 0, 20144, PERFDATA_4eb0}, /* JSR */
{ CPU_OP_NAME(_4eb8), 0, 20152, PERFDATA_4eb8}, /* JSR */
{ CPU_OP_NAME(_4eb9), 0, 20153, PERFDATA_4eb9}, /* JSR */
{ CPU_OP_NAME(_4eba), 0, 20154, PERFDATA_4eba}, /* JSR */
{ CPU_OP_NAME(_4ebb), 0, 20155, PERFDATA_4ebb}, /* JSR */
{ CPU_OP_NAME(_4ed0), 0, 20176, PERFDATA_4ed0}, /* JMP */
{ CPU_OP_NAME(_4ee8), 0, 20200, PERFDATA_4ee8}, /* JMP */
{ CPU_OP_NAME(_4ef0), 0, 20208, PERFDATA_4ef0}, /* JMP */
{ CPU_OP_NAME(_4ef8), 0, 20216, PERFDATA_4ef8}, /* JMP */
{ CPU_OP_NAME(_4ef9), 0, 20217, PERFDATA_4ef9}, /* JMP */
{ CPU_OP_NAME(_4efa), 0, 20218, PERFDATA_4efa}, /* JMP */
{ CPU_OP_NAME(_4efb), 0, 20219, PERFDATA_4efb}, /* JMP */
{ CPU_OP_NAME(_5000), 0, 20480, PERFDATA_5000}, /* ADD */
{ CPU_OP_NAME(_5010), 0, 20496, PERFDATA_5010}, /* ADD */
{ CPU_OP_NAME(_5018), 0, 20504, PERFDATA_5018}, /* ADD */
{ CPU_OP_NAME(_5020), 0, 20512, PERFDATA_5020}, /* ADD */
{ CPU_OP_NAME(_5028), 0, 20520, PERFDATA_5028}, /* ADD */
{ CPU_OP_NAME(_5030), 0, 20528, PERFDATA_5030}, /* ADD */
{ CPU_OP_NAME(_5038), 0, 20536, PERFDATA_5038}, /* ADD */
{ CPU_OP_NAME(_5039), 0, 20537, PERFDATA_5039}, /* ADD */
{ CPU_OP_NAME(_5040), 0, 20544, PERFDATA_5040}, /* ADD */
{ CPU_OP_NAME(_5048), 0, 20552, PERFDATA_5048}, /* ADDA */
{ CPU_OP_NAME(_5050), 0, 20560, PERFDATA_5050}, /* ADD */
{ CPU_OP_NAME(_5058), 0, 20568, PERFDATA_5058}, /* ADD */
{ CPU_OP_NAME(_5060), 0, 20576, PERFDATA_5060}, /* ADD */
{ CPU_OP_NAME(_5068), 0, 20584, PERFDATA_5068}, /* ADD */
{ CPU_OP_NAME(_5070), 0, 20592, PERFDATA_5070}, /* ADD */
{ CPU_OP_NAME(_5078), 0, 20600, PERFDATA_5078}, /* ADD */
{ CPU_OP_NAME(_5079), 0, 20601, PERFDATA_5079}, /* ADD */
{ CPU_OP_NAME(_5080), 0, 20608, PERFDATA_5080}, /* ADD */
{ CPU_OP_NAME(_5088), 0, 20616, PERFDATA_5088}, /* ADDA */
{ CPU_OP_NAME(_5090), 0, 20624, PERFDATA_5090}, /* ADD */
{ CPU_OP_NAME(_5098), 0, 20632, PERFDATA_5098}, /* ADD */
{ CPU_OP_NAME(_50a0), 0, 20640, PERFDATA_50a0}, /* ADD */
{ CPU_OP_NAME(_50a8), 0, 20648, PERFDATA_50a8}, /* ADD */
{ CPU_OP_NAME(_50b0), 0, 20656, PERFDATA_50b0}, /* ADD */
{ CPU_OP_NAME(_50b8), 0, 20664, PERFDATA_50b8}, /* ADD */
{ CPU_OP_NAME(_50b9), 0, 20665, PERFDATA_50b9}, /* ADD */
{ CPU_OP_NAME(_50c0), 0, 20672, PERFDATA_50c0}, /* Scc */
{ CPU_OP_NAME(_50c8), 0, 20680, PERFDATA_50c8}, /* DBcc */
{ CPU_OP_NAME(_50d0), 0, 20688, PERFDATA_50d0}, /* Scc */
{ CPU_OP_NAME(_50d8), 0, 20696, PERFDATA_50d8}, /* Scc */
{ CPU_OP_NAME(_50e0), 0, 20704, PERFDATA_50e0}, /* Scc */
{ CPU_OP_NAME(_50e8), 0, 20712, PERFDATA_50e8}, /* Scc */
{ CPU_OP_NAME(_50f0), 0, 20720, PERFDATA_50f0}, /* Scc */
{ CPU_OP_NAME(_50f8), 0, 20728, PERFDATA_50f8}, /* Scc */
{ CPU_OP_NAME(_50f9), 0, 20729, PERFDATA_50f9}, /* Scc */
{ CPU_OP_NAME(_5100), 0, 20736, PERFDATA_5100}, /* SUB */
{ CPU_OP_NAME(_5110), 0, 20752, PERFDATA_5110}, /* SUB */
{ CPU_OP_NAME(_5118), 0, 20760, PERFDATA_5118}, /* SUB */
{ CPU_OP_NAME(_5120), 0, 20768, PERFDATA_5120}, /* SUB */
{ CPU_OP_NAME(_5128), 0, 20776, PERFDATA_5128}, /* SUB */
{ CPU_OP_NAME(_5130), 0, 20784, PERFDATA_5130}, /* SUB */
{ CPU_OP_NAME(_5138), 0, 20792, PERFDATA_5138}, /* SUB */
{ CPU_OP_NAME(_5139), 0, 20793, PERFDATA_5139}, /* SUB */
{ CPU_OP_NAME(_5140), 0, 20800, PERFDATA_5140}, /* SUB */
{ CPU_OP_NAME(_5148), 0, 20808, PERFDATA_5148}, /* SUBA */
{ CPU_OP_NAME(_5150), 0, 20816, PERFDATA_5150}, /* SUB */
{ CPU_OP_NAME(_5158), 0, 20824, PERFDATA_5158}, /* SUB */
{ CPU_OP_NAME(_5160), 0, 20832, PERFDATA_5160}, /* SUB */
{ CPU_OP_NAME(_5168), 0, 20840, PERFDATA_5168}, /* SUB */
{ CPU_OP_NAME(_5170), 0, 20848, PERFDATA_5170}, /* SUB */
{ CPU_OP_NAME(_5178), 0, 20856, PERFDATA_5178}, /* SUB */
{ CPU_OP_NAME(_5179), 0, 20857, PERFDATA_5179}, /* SUB */
{ CPU_OP_NAME(_5180), 0, 20864, PERFDATA_5180}, /* SUB */
{ CPU_OP_NAME(_5188), 0, 20872, PERFDATA_5188}, /* SUBA */
{ CPU_OP_NAME(_5190), 0, 20880, PERFDATA_5190}, /* SUB */
{ CPU_OP_NAME(_5198), 0, 20888, PERFDATA_5198}, /* SUB */
{ CPU_OP_NAME(_51a0), 0, 20896, PERFDATA_51a0}, /* SUB */
{ CPU_OP_NAME(_51a8), 0, 20904, PERFDATA_51a8}, /* SUB */
{ CPU_OP_NAME(_51b0), 0, 20912, PERFDATA_51b0}, /* SUB */
{ CPU_OP_NAME(_51b8), 0, 20920, PERFDATA_51b8}, /* SUB */
{ CPU_OP_NAME(_51b9), 0, 20921, PERFDATA_51b9}, /* SUB */
{ CPU_OP_NAME(_51c0), 0, 20928, PERFDATA_51c0}, /* Scc */
{ CPU_OP_NAME(_51c8), 0, 20936, PERFDATA_51c8}, /* DBcc */
{ CPU_OP_NAME(_51d0), 0, 20944, PERFDATA_51d0}, /* Scc */
{ CPU_OP_NAME(_51d8), 0, 20952, PERFDATA_51d8}, /* Scc */
{ CPU_OP_NAME(_51e0), 0, 20960, PERFDATA_51e0}, /* Scc */
{ CPU_OP_NAME(_51e8), 0, 20968, PERFDATA_51e8}, /* Scc */
{ CPU_OP_NAME(_51f0), 0, 20976, PERFDATA_51f0}, /* Scc */
{ CPU_OP_NAME(_51f8), 0, 20984, PERFDATA_51f8}, /* Scc */
{ CPU_OP_NAME(_51f9), 0, 20985, PERFDATA_51f9}, /* Scc */
{ CPU_OP_NAME(_52c0), 0, 21184, PERFDATA_52c0}, /* Scc */
{ CPU_OP_NAME(_52c8), 0, 21192, PERFDATA_52c8}, /* DBcc */
{ CPU_OP_NAME(_52d0), 0, 21200, PERFDATA_52d0}, /* Scc */
{ CPU_OP_NAME(_52d8), 0, 21208, PERFDATA_52d8}, /* Scc */
{ CPU_OP_NAME(_52e0), 0, 21216, PERFDATA_52e0}, /* Scc */
{ CPU_OP_NAME(_52e8), 0, 21224, PERFDATA_52e8}, /* Scc */
{ CPU_OP_NAME(_52f0), 0, 21232, PERFDATA_52f0}, /* Scc */
{ CPU_OP_NAME(_52f8), 0, 21240, PERFDATA_52f8}, /* Scc */
{ CPU_OP_NAME(_52f9), 0, 21241, PERFDATA_52f9}, /* Scc */
{ CPU_OP_NAME(_53c0), 0, 21440, PERFDATA_53c0}, /* Scc */
{ CPU_OP_NAME(_53c8), 0, 21448, PERFDATA_53c8}, /* DBcc */
{ CPU_OP_NAME(_53d0), 0, 21456, PERFDATA_53d0}, /* Scc */
{ CPU_OP_NAME(_53d8), 0, 21464, PERFDATA_53d8}, /* Scc */
{ CPU_OP_NAME(_53e0), 0, 21472, PERFDATA_53e0}, /* Scc */
{ CPU_OP_NAME(_53e8), 0, 21480, PERFDATA_53e8}, /* Scc */
{ CPU_OP_NAME(_53f0), 0, 21488, PERFDATA_53f0}, /* Scc */
{ CPU_OP_NAME(_53f8), 0, 21496, PERFDATA_53f8}, /* Scc */
{ CPU_OP_NAME(_53f9), 0, 21497, PERFDATA_53f9}, /* Scc */
{ CPU_OP_NAME(_54c0), 0, 21696, PERFDATA_54c0}, /* Scc */
{ CPU_OP_NAME(_54c8), 0, 21704, PERFDATA_54c8}, /* DBcc */
{ CPU_OP_NAME(_54d0), 0, 21712, PERFDATA_54d0}, /* Scc */
{ CPU_OP_NAME(_54d8), 0, 21720, PERFDATA_54d8}, /* Scc */
{ CPU_OP_NAME(_54e0), 0, 21728, PERFDATA_54e0}, /* Scc */
{ CPU_OP_NAME(_54e8), 0, 21736, PERFDATA_54e8}, /* Scc */
{ CPU_OP_NAME(_54f0), 0, 21744, PERFDATA_54f0}, /* Scc */
{ CPU_OP_NAME(_54f8), 0, 21752, PERFDATA_54f8}, /* Scc */
{ CPU_OP_NAME(_54f9), 0, 21753, PERFDATA_54f9}, /* Scc */
{ CPU_OP_NAME(_55c0), 0, 21952, PERFDATA_55c0}, /* Scc */
{ CPU_OP_NAME(_55c8), 0, 21960, PERFDATA_55c8}, /* DBcc */
{ CPU_OP_NAME(_55d0), 0, 21968, PERFDATA_55d0}, /* Scc */
{ CPU_OP_NAME(_55d8), 0, 21976, PERFDATA_55d8}, /* Scc */
{ CPU_OP_NAME(_55e0), 0, 21984, PERFDATA_55e0}, /* Scc */
{ CPU_OP_NAME(_55e8), 0, 21992, PERFDATA_55e8}, /* Scc */
{ CPU_OP_NAME(_55f0), 0, 22000, PERFDATA_55f0}, /* Scc */
{ CPU_OP_NAME(_55f8), 0, 22008, PERFDATA_55f8}, /* Scc */
{ CPU_OP_NAME(_55f9), 0, 22009, PERFDATA_55f9}, /* Scc */
{ CPU_OP_NAME(_56c0), 0, 22208, PERFDATA_56c0}, /* Scc */
{ CPU_OP_NAME(_56c8), 0, 22216, PERFDATA_56c8}, /* DBcc */
{ CPU_OP_NAME(_56d0), 0, 22224, PERFDATA_56d0}, /* Scc */
{ CPU_OP_NAME(_56d8), 0, 22232, PERFDATA_56d8}, /* Scc */
{ CPU_OP_NAME(_56e0), 0, 22240, PERFDATA_56e0}, /* Scc */
{ CPU_OP_NAME(_56e8), 0, 22248, PERFDATA_56e8}, /* Scc */
{ CPU_OP_NAME(_56f0), 0, 22256, PERFDATA_56f0}, /* Scc */
{ CPU_OP_NAME(_56f8), 0, 22264, PERFDATA_56f8}, /* Scc */
{ CPU_OP_NAME(_56f9), 0, 22265, PERFDATA_56f9}, /* Scc */
{ CPU_OP_NAME(_57c0), 0, 22464, PERFDATA_57c0}, /* Scc */
{ CPU_OP_NAME(_57c8), 0, 22472, PERFDATA_57c8}, /* DBcc */
{ CPU_OP_NAME(_57d0), 0, 22480, PERFDATA_57d0}, /* Scc */
{ CPU_OP_NAME(_57d8), 0, 22488, PERFDATA_57d8}, /* Scc */
{ CPU_OP_NAME(_57e0), 0, 22496, PERFDATA_57e0}, /* Scc */
{ CPU_OP_NAME(_57e8), 0, 22504, PERFDATA_57e8}, /* Scc */
{ CPU_OP_NAME(_57f0), 0, 22512, PERFDATA_57f0}, /* Scc */
{ CPU_OP_NAME(_57f8), 0, 22520, PERFDATA_57f8}, /* Scc */
{ CPU_OP_NAME(_57f9), 0, 22521, PERFDATA_57f9}, /* Scc */
{ CPU_OP_NAME(_58c0), 0, 22720, PERFDATA_58c0}, /* Scc */
{ CPU_OP_NAME(_58c8), 0, 22728, PERFDATA_58c8}, /* DBcc */
{ CPU_OP_NAME(_58d0), 0, 22736, PERFDATA_58d0}, /* Scc */
{ CPU_OP_NAME(_58d8), 0, 22744, PERFDATA_58d8}, /* Scc */
{ CPU_OP_NAME(_58e0), 0, 22752, PERFDATA_58e0}, /* Scc */
{ CPU_OP_NAME(_58e8), 0, 22760, PERFDATA_58e8}, /* Scc */
{ CPU_OP_NAME(_58f0), 0, 22768, PERFDATA_58f0}, /* Scc */
{ CPU_OP_NAME(_58f8), 0, 22776, PERFDATA_58f8}, /* Scc */
{ CPU_OP_NAME(_58f9), 0, 22777, PERFDATA_58f9}, /* Scc */
{ CPU_OP_NAME(_59c0), 0, 22976, PERFDATA_59c0}, /* Scc */
{ CPU_OP_NAME(_59c8), 0, 22984, PERFDATA_59c8}, /* DBcc */
{ CPU_OP_NAME(_59d0), 0, 22992, PERFDATA_59d0}, /* Scc */
{ CPU_OP_NAME(_59d8), 0, 23000, PERFDATA_59d8}, /* Scc */
{ CPU_OP_NAME(_59e0), 0, 23008, PERFDATA_59e0}, /* Scc */
{ CPU_OP_NAME(_59e8), 0, 23016, PERFDATA_59e8}, /* Scc */
{ CPU_OP_NAME(_59f0), 0, 23024, PERFDATA_59f0}, /* Scc */
{ CPU_OP_NAME(_59f8), 0, 23032, PERFDATA_59f8}, /* Scc */
{ CPU_OP_NAME(_59f9), 0, 23033, PERFDATA_59f9}, /* Scc */
{ CPU_OP_NAME(_5ac0), 0, 23232, PERFDATA_5ac0}, /* Scc */
{ CPU_OP_NAME(_5ac8), 0, 23240, PERFDATA_5ac8}, /* DBcc */
{ CPU_OP_NAME(_5ad0), 0, 23248, PERFDATA_5ad0}, /* Scc */
{ CPU_OP_NAME(_5ad8), 0, 23256, PERFDATA_5ad8}, /* Scc */
{ CPU_OP_NAME(_5ae0), 0, 23264, PERFDATA_5ae0}, /* Scc */
{ CPU_OP_NAME(_5ae8), 0, 23272, PERFDATA_5ae8}, /* Scc */
{ CPU_OP_NAME(_5af0), 0, 23280, PERFDATA_5af0}, /* Scc */
{ CPU_OP_NAME(_5af8), 0, 23288, PERFDATA_5af8}, /* Scc */
{ CPU_OP_NAME(_5af9), 0, 23289, PERFDATA_5af9}, /* Scc */
{ CPU_OP_NAME(_5bc0), 0, 23488, PERFDATA_5bc0}, /* Scc */
{ CPU_OP_NAME(_5bc8), 0, 23496, PERFDATA_5bc8}, /* DBcc */
{ CPU_OP_NAME(_5bd0), 0, 23504, PERFDATA_5bd0}, /* Scc */
{ CPU_OP_NAME(_5bd8), 0, 23512, PERFDATA_5bd8}, /* Scc */
{ CPU_OP_NAME(_5be0), 0, 23520, PERFDATA_5be0}, /* Scc */
{ CPU_OP_NAME(_5be8), 0, 23528, PERFDATA_5be8}, /* Scc */
{ CPU_OP_NAME(_5bf0), 0, 23536, PERFDATA_5bf0}, /* Scc */
{ CPU_OP_NAME(_5bf8), 0, 23544, PERFDATA_5bf8}, /* Scc */
{ CPU_OP_NAME(_5bf9), 0, 23545, PERFDATA_5bf9}, /* Scc */
{ CPU_OP_NAME(_5cc0), 0, 23744, PERFDATA_5cc0}, /* Scc */
{ CPU_OP_NAME(_5cc8), 0, 23752, PERFDATA_5cc8}, /* DBcc */
{ CPU_OP_NAME(_5cd0), 0, 23760, PERFDATA_5cd0}, /* Scc */
{ CPU_OP_NAME(_5cd8), 0, 23768, PERFDATA_5cd8}, /* Scc */
{ CPU_OP_NAME(_5ce0), 0, 23776, PERFDATA_5ce0}, /* Scc */
{ CPU_OP_NAME(_5ce8), 0, 23784, PERFDATA_5ce8}, /* Scc */
{ CPU_OP_NAME(_5cf0), 0, 23792, PERFDATA_5cf0}, /* Scc */
{ CPU_OP_NAME(_5cf8), 0, 23800, PERFDATA_5cf8}, /* Scc */
{ CPU_OP_NAME(_5cf9), 0, 23801, PERFDATA_5cf9}, /* Scc */
{ CPU_OP_NAME(_5dc0), 0, 24000, PERFDATA_5dc0}, /* Scc */
{ CPU_OP_NAME(_5dc8), 0, 24008, PERFDATA_5dc8}, /* DBcc */
{ CPU_OP_NAME(_5dd0), 0, 24016, PERFDATA_5dd0}, /* Scc */
{ CPU_OP_NAME(_5dd8), 0, 24024, PERFDATA_5dd8}, /* Scc */
{ CPU_OP_NAME(_5de0), 0, 24032, PERFDATA_5de0}, /* Scc */
{ CPU_OP_NAME(_5de8), 0, 24040, PERFDATA_5de8}, /* Scc */
{ CPU_OP_NAME(_5df0), 0, 24048, PERFDATA_5df0}, /* Scc */
{ CPU_OP_NAME(_5df8), 0, 24056, PERFDATA_5df8}, /* Scc */
{ CPU_OP_NAME(_5df9), 0, 24057, PERFDATA_5df9}, /* Scc */
{ CPU_OP_NAME(_5ec0), 0, 24256, PERFDATA_5ec0}, /* Scc */
{ CPU_OP_NAME(_5ec8), 0, 24264, PERFDATA_5ec8}, /* DBcc */
{ CPU_OP_NAME(_5ed0), 0, 24272, PERFDATA_5ed0}, /* Scc */
{ CPU_OP_NAME(_5ed8), 0, 24280, PERFDATA_5ed8}, /* Scc */
{ CPU_OP_NAME(_5ee0), 0, 24288, PERFDATA_5ee0}, /* Scc */
{ CPU_OP_NAME(_5ee8), 0, 24296, PERFDATA_5ee8}, /* Scc */
{ CPU_OP_NAME(_5ef0), 0, 24304, PERFDATA_5ef0}, /* Scc */
{ CPU_OP_NAME(_5ef8), 0, 24312, PERFDATA_5ef8}, /* Scc */
{ CPU_OP_NAME(_5ef9), 0, 24313, PERFDATA_5ef9}, /* Scc */
{ CPU_OP_NAME(_5fc0), 0, 24512, PERFDATA_5fc0}, /* Scc */
{ CPU_OP_NAME(_5fc8), 0, 24520, PERFDATA_5fc8}, /* DBcc */
{ CPU_OP_NAME(_5fd0), 0, 24528, PERFDATA_5fd0}, /* Scc */
{ CPU_OP_NAME(_5fd8), 0, 24536, PERFDATA_5fd8}, /* Scc */
{ CPU_OP_NAME(_5fe0), 0, 24544, PERFDATA_5fe0}, /* Scc */
{ CPU_OP_NAME(_5fe8), 0, 24552, PERFDATA_5fe8}, /* Scc */
{ CPU_OP_NAME(_5ff0), 0, 24560, PERFDATA_5ff0}, /* Scc */
{ CPU_OP_NAME(_5ff8), 0, 24568, PERFDATA_5ff8}, /* Scc */
{ CPU_OP_NAME(_5ff9), 0, 24569, PERFDATA_5ff9}, /* Scc */
{ CPU_OP_NAME(_6000), 0, 24576, PERFDATA_6000}, /* Bcc */
{ CPU_OP_NAME(_6001), 0, 24577, PERFDATA_6001}, /* Bcc */
{ CPU_OP_NAME(_60ff), 0, 24831, PERFDATA_60ff}, /* Bcc */
{ CPU_OP_NAME(_6100), 0, 24832, PERFDATA_6100}, /* BSR */
{ CPU_OP_NAME(_6101), 0, 24833, PERFDATA_6101}, /* BSR */
{ CPU_OP_NAME(_61ff), 0, 25087, PERFDATA_61ff}, /* BSR */
{ CPU_OP_NAME(_6200), 0, 25088, PERFDATA_6200}, /* Bcc */
{ CPU_OP_NAME(_6201), 0, 25089, PERFDATA_6201}, /* Bcc */
{ CPU_OP_NAME(_62ff), 0, 25343, PERFDATA_62ff}, /* Bcc */
{ CPU_OP_NAME(_6300), 0, 25344, PERFDATA_6300}, /* Bcc */
{ CPU_OP_NAME(_6301), 0, 25345, PERFDATA_6301}, /* Bcc */
{ CPU_OP_NAME(_63ff), 0, 25599, PERFDATA_63ff}, /* Bcc */
{ CPU_OP_NAME(_6400), 0, 25600, PERFDATA_6400}, /* Bcc */
{ CPU_OP_NAME(_6401), 0, 25601, PERFDATA_6401}, /* Bcc */
{ CPU_OP_NAME(_64ff), 0, 25855, PERFDATA_64ff}, /* Bcc */
{ CPU_OP_NAME(_6500), 0, 25856, PERFDATA_6500}, /* Bcc */
{ CPU_OP_NAME(_6501), 0, 25857, PERFDATA_6501}, /* Bcc */
{ CPU_OP_NAME(_65ff), 0, 26111, PERFDATA_65ff}, /* Bcc */
{ CPU_OP_NAME(_6600), 0, 26112, PERFDATA_6600}, /* Bcc */
{ CPU_OP_NAME(_6601), 0, 26113, PERFDATA_6601}, /* Bcc */
{ CPU_OP_NAME(_66ff), 0, 26367, PERFDATA_66ff}, /* Bcc */
{ CPU_OP_NAME(_6700), 0, 26368, PERFDATA_6700}, /* Bcc */
{ CPU_OP_NAME(_6701), 0, 26369, PERFDATA_6701}, /* Bcc */
{ CPU_OP_NAME(_67ff), 0, 26623, PERFDATA_67ff}, /* Bcc */
{ CPU_OP_NAME(_6800), 0, 26624, PERFDATA_6800}, /* Bcc */
{ CPU_OP_NAME(_6801), 0, 26625, PERFDATA_6801}, /* Bcc */
{ CPU_OP_NAME(_68ff), 0, 26879, PERFDATA_68ff}, /* Bcc */
{ CPU_OP_NAME(_6900), 0, 26880, PERFDATA_6900}, /* Bcc */
{ CPU_OP_NAME(_6901), 0, 26881, PERFDATA_6901}, /* Bcc */
{ CPU_OP_NAME(_69ff), 0, 27135, PERFDATA_69ff}, /* Bcc */
{ CPU_OP_NAME(_6a00), 0, 27136, PERFDATA_6a00}, /* Bcc */
{ CPU_OP_NAME(_6a01), 0, 27137, PERFDATA_6a01}, /* Bcc */
{ CPU_OP_NAME(_6aff), 0, 27391, PERFDATA_6aff}, /* Bcc */
{ CPU_OP_NAME(_6b00), 0, 27392, PERFDATA_6b00}, /* Bcc */
{ CPU_OP_NAME(_6b01), 0, 27393, PERFDATA_6b01}, /* Bcc */
{ CPU_OP_NAME(_6bff), 0, 27647, PERFDATA_6bff}, /* Bcc */
{ CPU_OP_NAME(_6c00), 0, 27648, PERFDATA_6c00}, /* Bcc */
{ CPU_OP_NAME(_6c01), 0, 27649, PERFDATA_6c01}, /* Bcc */
{ CPU_OP_NAME(_6cff), 0, 27903, PERFDATA_6cff}, /* Bcc */
{ CPU_OP_NAME(_6d00), 0, 27904, PERFDATA_6d00}, /* Bcc */
{ CPU_OP_NAME(_6d01), 0, 27905, PERFDATA_6d01}, /* Bcc */
{ CPU_OP_NAME(_6dff), 0, 28159, PERFDATA_6dff}, /* Bcc */
{ CPU_OP_NAME(_6e00), 0, 28160, PERFDATA_6e00}, /* Bcc */
{ CPU_OP_NAME(_6e01), 0, 28161, PERFDATA_6e01}, /* Bcc */
{ CPU_OP_NAME(_6eff), 0, 28415, PERFDATA_6eff}, /* Bcc */
{ CPU_OP_NAME(_6f00), 0, 28416, PERFDATA_6f00}, /* Bcc */
{ CPU_OP_NAME(_6f01), 0, 28417, PERFDATA_6f01}, /* Bcc */
{ CPU_OP_NAME(_6fff), 0, 28671, PERFDATA_6fff}, /* Bcc */
{ CPU_OP_NAME(_7000), 0, 28672, PERFDATA_7000}, /* MOVE */
{ CPU_OP_NAME(_8000), 0, 32768, PERFDATA_8000}, /* OR */
{ CPU_OP_NAME(_8010), 0, 32784, PERFDATA_8010}, /* OR */
{ CPU_OP_NAME(_8018), 0, 32792, PERFDATA_8018}, /* OR */
{ CPU_OP_NAME(_8020), 0, 32800, PERFDATA_8020}, /* OR */
{ CPU_OP_NAME(_8028), 0, 32808, PERFDATA_8028}, /* OR */
{ CPU_OP_NAME(_8030), 0, 32816, PERFDATA_8030}, /* OR */
{ CPU_OP_NAME(_8038), 0, 32824, PERFDATA_8038}, /* OR */
{ CPU_OP_NAME(_8039), 0, 32825, PERFDATA_8039}, /* OR */
{ CPU_OP_NAME(_803a), 0, 32826, PERFDATA_803a}, /* OR */
{ CPU_OP_NAME(_803b), 0, 32827, PERFDATA_803b}, /* OR */
{ CPU_OP_NAME(_803c), 0, 32828, PERFDATA_803c}, /* OR */
{ CPU_OP_NAME(_8040), 0, 32832, PERFDATA_8040}, /* OR */
{ CPU_OP_NAME(_8050), 0, 32848, PERFDATA_8050}, /* OR */
{ CPU_OP_NAME(_8058), 0, 32856, PERFDATA_8058}, /* OR */
{ CPU_OP_NAME(_8060), 0, 32864, PERFDATA_8060}, /* OR */
{ CPU_OP_NAME(_8068), 0, 32872, PERFDATA_8068}, /* OR */
{ CPU_OP_NAME(_8070), 0, 32880, PERFDATA_8070}, /* OR */
{ CPU_OP_NAME(_8078), 0, 32888, PERFDATA_8078}, /* OR */
{ CPU_OP_NAME(_8079), 0, 32889, PERFDATA_8079}, /* OR */
{ CPU_OP_NAME(_807a), 0, 32890, PERFDATA_807a}, /* OR */
{ CPU_OP_NAME(_807b), 0, 32891, PERFDATA_807b}, /* OR */
{ CPU_OP_NAME(_807c), 0, 32892, PERFDATA_807c}, /* OR */
{ CPU_OP_NAME(_8080), 0, 32896, PERFDATA_8080}, /* OR */
{ CPU_OP_NAME(_8090), 0, 32912, PERFDATA_8090}, /* OR */
{ CPU_OP_NAME(_8098), 0, 32920, PERFDATA_8098}, /* OR */
{ CPU_OP_NAME(_80a0), 0, 32928, PERFDATA_80a0}, /* OR */
{ CPU_OP_NAME(_80a8), 0, 32936, PERFDATA_80a8}, /* OR */
{ CPU_OP_NAME(_80b0), 0, 32944, PERFDATA_80b0}, /* OR */
{ CPU_OP_NAME(_80b8), 0, 32952, PERFDATA_80b8}, /* OR */
{ CPU_OP_NAME(_80b9), 0, 32953, PERFDATA_80b9}, /* OR */
{ CPU_OP_NAME(_80ba), 0, 32954, PERFDATA_80ba}, /* OR */
{ CPU_OP_NAME(_80bb), 0, 32955, PERFDATA_80bb}, /* OR */
{ CPU_OP_NAME(_80bc), 0, 32956, PERFDATA_80bc}, /* OR */
{ CPU_OP_NAME(_80c0), 0, 32960, PERFDATA_80c0}, /* DIVU */
{ CPU_OP_NAME(_80d0), 0, 32976, PERFDATA_80d0}, /* DIVU */
{ CPU_OP_NAME(_80d8), 0, 32984, PERFDATA_80d8}, /* DIVU */
{ CPU_OP_NAME(_80e0), 0, 32992, PERFDATA_80e0}, /* DIVU */
{ CPU_OP_NAME(_80e8), 0, 33000, PERFDATA_80e8}, /* DIVU */
{ CPU_OP_NAME(_80f0), 0, 33008, PERFDATA_80f0}, /* DIVU */
{ CPU_OP_NAME(_80f8), 0, 33016, PERFDATA_80f8}, /* DIVU */
{ CPU_OP_NAME(_80f9), 0, 33017, PERFDATA_80f9}, /* DIVU */
{ CPU_OP_NAME(_80fa), 0, 33018, PERFDATA_80fa}, /* DIVU */
{ CPU_OP_NAME(_80fb), 0, 33019, PERFDATA_80fb}, /* DIVU */
{ CPU_OP_NAME(_80fc), 0, 33020, PERFDATA_80fc}, /* DIVU */
{ CPU_OP_NAME(_8100), 0, 33024, PERFDATA_8100}, /* SBCD */
{ CPU_OP_NAME(_8108), 0, 33032, PERFDATA_8108}, /* SBCD */
{ CPU_OP_NAME(_8110), 0, 33040, PERFDATA_8110}, /* OR */
{ CPU_OP_NAME(_8118), 0, 33048, PERFDATA_8118}, /* OR */
{ CPU_OP_NAME(_8120), 0, 33056, PERFDATA_8120}, /* OR */
{ CPU_OP_NAME(_8128), 0, 33064, PERFDATA_8128}, /* OR */
{ CPU_OP_NAME(_8130), 0, 33072, PERFDATA_8130}, /* OR */
{ CPU_OP_NAME(_8138), 0, 33080, PERFDATA_8138}, /* OR */
{ CPU_OP_NAME(_8139), 0, 33081, PERFDATA_8139}, /* OR */
{ CPU_OP_NAME(_8150), 0, 33104, PERFDATA_8150}, /* OR */
{ CPU_OP_NAME(_8158), 0, 33112, PERFDATA_8158}, /* OR */
{ CPU_OP_NAME(_8160), 0, 33120, PERFDATA_8160}, /* OR */
{ CPU_OP_NAME(_8168), 0, 33128, PERFDATA_8168}, /* OR */
{ CPU_OP_NAME(_8170), 0, 33136, PERFDATA_8170}, /* OR */
{ CPU_OP_NAME(_8178), 0, 33144, PERFDATA_8178}, /* OR */
{ CPU_OP_NAME(_8179), 0, 33145, PERFDATA_8179}, /* OR */
{ CPU_OP_NAME(_8190), 0, 33168, PERFDATA_8190}, /* OR */
{ CPU_OP_NAME(_8198), 0, 33176, PERFDATA_8198}, /* OR */
{ CPU_OP_NAME(_81a0), 0, 33184, PERFDATA_81a0}, /* OR */
{ CPU_OP_NAME(_81a8), 0, 33192, PERFDATA_81a8}, /* OR */
{ CPU_OP_NAME(_81b0), 0, 33200, PERFDATA_81b0}, /* OR */
{ CPU_OP_NAME(_81b8), 0, 33208, PERFDATA_81b8}, /* OR */
{ CPU_OP_NAME(_81b9), 0, 33209, PERFDATA_81b9}, /* OR */
{ CPU_OP_NAME(_81c0), 0, 33216, PERFDATA_81c0}, /* DIVS */
{ CPU_OP_NAME(_81d0), 0, 33232, PERFDATA_81d0}, /* DIVS */
{ CPU_OP_NAME(_81d8), 0, 33240, PERFDATA_81d8}, /* DIVS */
{ CPU_OP_NAME(_81e0), 0, 33248, PERFDATA_81e0}, /* DIVS */
{ CPU_OP_NAME(_81e8), 0, 33256, PERFDATA_81e8}, /* DIVS */
{ CPU_OP_NAME(_81f0), 0, 33264, PERFDATA_81f0}, /* DIVS */
{ CPU_OP_NAME(_81f8), 0, 33272, PERFDATA_81f8}, /* DIVS */
{ CPU_OP_NAME(_81f9), 0, 33273, PERFDATA_81f9}, /* DIVS */
{ CPU_OP_NAME(_81fa), 0, 33274, PERFDATA_81fa}, /* DIVS */
{ CPU_OP_NAME(_81fb), 0, 33275, PERFDATA_81fb}, /* DIVS */
{ CPU_OP_NAME(_81fc), 0, 33276, PERFDATA_81fc}, /* DIVS */
{ CPU_OP_NAME(_9000), 0, 36864, PERFDATA_9000}, /* SUB */
{ CPU_OP_NAME(_9010), 0, 36880, PERFDATA_9010}, /* SUB */
{ CPU_OP_NAME(_9018), 0, 36888, PERFDATA_9018}, /* SUB */
{ CPU_OP_NAME(_9020), 0, 36896, PERFDATA_9020}, /* SUB */
{ CPU_OP_NAME(_9028), 0, 36904, PERFDATA_9028}, /* SUB */
{ CPU_OP_NAME(_9030), 0, 36912, PERFDATA_9030}, /* SUB */
{ CPU_OP_NAME(_9038), 0, 36920, PERFDATA_9038}, /* SUB */
{ CPU_OP_NAME(_9039), 0, 36921, PERFDATA_9039}, /* SUB */
{ CPU_OP_NAME(_903a), 0, 36922, PERFDATA_903a}, /* SUB */
{ CPU_OP_NAME(_903b), 0, 36923, PERFDATA_903b}, /* SUB */
{ CPU_OP_NAME(_903c), 0, 36924, PERFDATA_903c}, /* SUB */
{ CPU_OP_NAME(_9040), 0, 36928, PERFDATA_9040}, /* SUB */
{ CPU_OP_NAME(_9048), 0, 36936, PERFDATA_9048}, /* SUB */
{ CPU_OP_NAME(_9050), 0, 36944, PERFDATA_9050}, /* SUB */
{ CPU_OP_NAME(_9058), 0, 36952, PERFDATA_9058}, /* SUB */
{ CPU_OP_NAME(_9060), 0, 36960, PERFDATA_9060}, /* SUB */
{ CPU_OP_NAME(_9068), 0, 36968, PERFDATA_9068}, /* SUB */
{ CPU_OP_NAME(_9070), 0, 36976, PERFDATA_9070}, /* SUB */
{ CPU_OP_NAME(_9078), 0, 36984, PERFDATA_9078}, /* SUB */
{ CPU_OP_NAME(_9079), 0, 36985, PERFDATA_9079}, /* SUB */
{ CPU_OP_NAME(_907a), 0, 36986, PERFDATA_907a}, /* SUB */
{ CPU_OP_NAME(_907b), 0, 36987, PERFDATA_907b}, /* SUB */
{ CPU_OP_NAME(_907c), 0, 36988, PERFDATA_907c}, /* SUB */
{ CPU_OP_NAME(_9080), 0, 36992, PERFDATA_9080}, /* SUB */
{ CPU_OP_NAME(_9088), 0, 37000, PERFDATA_9088}, /* SUB */
{ CPU_OP_NAME(_9090), 0, 37008, PERFDATA_9090}, /* SUB */
{ CPU_OP_NAME(_9098), 0, 37016, PERFDATA_9098}, /* SUB */
{ CPU_OP_NAME(_90a0), 0, 37024, PERFDATA_90a0}, /* SUB */
{ CPU_OP_NAME(_90a8), 0, 37032, PERFDATA_90a8}, /* SUB */
{ CPU_OP_NAME(_90b0), 0, 37040, PERFDATA_90b0}, /* SUB */
{ CPU_OP_NAME(_90b8), 0, 37048, PERFDATA_90b8}, /* SUB */
{ CPU_OP_NAME(_90b9), 0, 37049, PERFDATA_90b9}, /* SUB */
{ CPU_OP_NAME(_90ba), 0, 37050, PERFDATA_90ba}, /* SUB */
{ CPU_OP_NAME(_90bb), 0, 37051, PERFDATA_90bb}, /* SUB */
{ CPU_OP_NAME(_90bc), 0, 37052, PERFDATA_90bc}, /* SUB */
{ CPU_OP_NAME(_90c0), 0, 37056, PERFDATA_90c0}, /* SUBA */
{ CPU_OP_NAME(_90c8), 0, 37064, PERFDATA_90c8}, /* SUBA */
{ CPU_OP_NAME(_90d0), 0, 37072, PERFDATA_90d0}, /* SUBA */
{ CPU_OP_NAME(_90d8), 0, 37080, PERFDATA_90d8}, /* SUBA */
{ CPU_OP_NAME(_90e0), 0, 37088, PERFDATA_90e0}, /* SUBA */
{ CPU_OP_NAME(_90e8), 0, 37096, PERFDATA_90e8}, /* SUBA */
{ CPU_OP_NAME(_90f0), 0, 37104, PERFDATA_90f0}, /* SUBA */
{ CPU_OP_NAME(_90f8), 0, 37112, PERFDATA_90f8}, /* SUBA */
{ CPU_OP_NAME(_90f9), 0, 37113, PERFDATA_90f9}, /* SUBA */
{ CPU_OP_NAME(_90fa), 0, 37114, PERFDATA_90fa}, /* SUBA */
{ CPU_OP_NAME(_90fb), 0, 37115, PERFDATA_90fb}, /* SUBA */
{ CPU_OP_NAME(_90fc), 0, 37116, PERFDATA_90fc}, /* SUBA */
{ CPU_OP_NAME(_9100), 0, 37120, PERFDATA_9100}, /* SUBX */
{ CPU_OP_NAME(_9108), 0, 37128, PERFDATA_9108}, /* SUBX */
{ CPU_OP_NAME(_9110), 0, 37136, PERFDATA_9110}, /* SUB */
{ CPU_OP_NAME(_9118), 0, 37144, PERFDATA_9118}, /* SUB */
{ CPU_OP_NAME(_9120), 0, 37152, PERFDATA_9120}, /* SUB */
{ CPU_OP_NAME(_9128), 0, 37160, PERFDATA_9128}, /* SUB */
{ CPU_OP_NAME(_9130), 0, 37168, PERFDATA_9130}, /* SUB */
{ CPU_OP_NAME(_9138), 0, 37176, PERFDATA_9138}, /* SUB */
{ CPU_OP_NAME(_9139), 0, 37177, PERFDATA_9139}, /* SUB */
{ CPU_OP_NAME(_9140), 0, 37184, PERFDATA_9140}, /* SUBX */
{ CPU_OP_NAME(_9148), 0, 37192, PERFDATA_9148}, /* SUBX */
{ CPU_OP_NAME(_9150), 0, 37200, PERFDATA_9150}, /* SUB */
{ CPU_OP_NAME(_9158), 0, 37208, PERFDATA_9158}, /* SUB */
{ CPU_OP_NAME(_9160), 0, 37216, PERFDATA_9160}, /* SUB */
{ CPU_OP_NAME(_9168), 0, 37224, PERFDATA_9168}, /* SUB */
{ CPU_OP_NAME(_9170), 0, 37232, PERFDATA_9170}, /* SUB */
{ CPU_OP_NAME(_9178), 0, 37240, PERFDATA_9178}, /* SUB */
{ CPU_OP_NAME(_9179), 0, 37241, PERFDATA_9179}, /* SUB */
{ CPU_OP_NAME(_9180), 0, 37248, PERFDATA_9180}, /* SUBX */
{ CPU_OP_NAME(_9188), 0, 37256, PERFDATA_9188}, /* SUBX */
{ CPU_OP_NAME(_9190), 0, 37264, PERFDATA_9190}, /* SUB */
{ CPU_OP_NAME(_9198), 0, 37272, PERFDATA_9198}, /* SUB */
{ CPU_OP_NAME(_91a0), 0, 37280, PERFDATA_91a0}, /* SUB */
{ CPU_OP_NAME(_91a8), 0, 37288, PERFDATA_91a8}, /* SUB */
{ CPU_OP_NAME(_91b0), 0, 37296, PERFDATA_91b0}, /* SUB */
{ CPU_OP_NAME(_91b8), 0, 37304, PERFDATA_91b8}, /* SUB */
{ CPU_OP_NAME(_91b9), 0, 37305, PERFDATA_91b9}, /* SUB */
{ CPU_OP_NAME(_91c0), 0, 37312, PERFDATA_91c0}, /* SUBA */
{ CPU_OP_NAME(_91c8), 0, 37320, PERFDATA_91c8}, /* SUBA */
{ CPU_OP_NAME(_91d0), 0, 37328, PERFDATA_91d0}, /* SUBA */
{ CPU_OP_NAME(_91d8), 0, 37336, PERFDATA_91d8}, /* SUBA */
{ CPU_OP_NAME(_91e0), 0, 37344, PERFDATA_91e0}, /* SUBA */
{ CPU_OP_NAME(_91e8), 0, 37352, PERFDATA_91e8}, /* SUBA */
{ CPU_OP_NAME(_91f0), 0, 37360, PERFDATA_91f0}, /* SUBA */
{ CPU_OP_NAME(_91f8), 0, 37368, PERFDATA_91f8}, /* SUBA */
{ CPU_OP_NAME(_91f9), 0, 37369, PERFDATA_91f9}, /* SUBA */
{ CPU_OP_NAME(_91fa), 0, 37370, PERFDATA_91fa}, /* SUBA */
{ CPU_OP_NAME(_91fb), 0, 37371, PERFDATA_91fb}, /* SUBA */
{ CPU_OP_NAME(_91fc), 0, 37372, PERFDATA_91fc}, /* SUBA */
{ CPU_OP_NAME(_b000), 0, 45056, PERFDATA_b000}, /* CMP */
{ CPU_OP_NAME(_b010), 0, 45072, PERFDATA_b010}, /* CMP */
{ CPU_OP_NAME(_b018), 0, 45080, PERFDATA_b018}, /* CMP */
{ CPU_OP_NAME(_b020), 0, 45088, PERFDATA_b020}, /* CMP */
{ CPU_OP_NAME(_b028), 0, 45096, PERFDATA_b028}, /* CMP */
{ CPU_OP_NAME(_b030), 0, 45104, PERFDATA_b030}, /* CMP */
{ CPU_OP_NAME(_b038), 0, 45112, PERFDATA_b038}, /* CMP */
{ CPU_OP_NAME(_b039), 0, 45113, PERFDATA_b039}, /* CMP */
{ CPU_OP_NAME(_b03a), 0, 45114, PERFDATA_b03a}, /* CMP */
{ CPU_OP_NAME(_b03b), 0, 45115, PERFDATA_b03b}, /* CMP */
{ CPU_OP_NAME(_b03c), 0, 45116, PERFDATA_b03c}, /* CMP */
{ CPU_OP_NAME(_b040), 0, 45120, PERFDATA_b040}, /* CMP */
{ CPU_OP_NAME(_b048), 0, 45128, PERFDATA_b048}, /* CMP */
{ CPU_OP_NAME(_b050), 0, 45136, PERFDATA_b050}, /* CMP */
{ CPU_OP_NAME(_b058), 0, 45144, PERFDATA_b058}, /* CMP */
{ CPU_OP_NAME(_b060), 0, 45152, PERFDATA_b060}, /* CMP */
{ CPU_OP_NAME(_b068), 0, 45160, PERFDATA_b068}, /* CMP */
{ CPU_OP_NAME(_b070), 0, 45168, PERFDATA_b070}, /* CMP */
{ CPU_OP_NAME(_b078), 0, 45176, PERFDATA_b078}, /* CMP */
{ CPU_OP_NAME(_b079), 0, 45177, PERFDATA_b079}, /* CMP */
{ CPU_OP_NAME(_b07a), 0, 45178, PERFDATA_b07a}, /* CMP */
{ CPU_OP_NAME(_b07b), 0, 45179, PERFDATA_b07b}, /* CMP */
{ CPU_OP_NAME(_b07c), 0, 45180, PERFDATA_b07c}, /* CMP */
{ CPU_OP_NAME(_b080), 0, 45184, PERFDATA_b080}, /* CMP */
{ CPU_OP_NAME(_b088), 0, 45192, PERFDATA_b088}, /* CMP */
{ CPU_OP_NAME(_b090), 0, 45200, PERFDATA_b090}, /* CMP */
{ CPU_OP_NAME(_b098), 0, 45208, PERFDATA_b098}, /* CMP */
{ CPU_OP_NAME(_b0a0), 0, 45216, PERFDATA_b0a0}, /* CMP */
{ CPU_OP_NAME(_b0a8), 0, 45224, PERFDATA_b0a8}, /* CMP */
{ CPU_OP_NAME(_b0b0), 0, 45232, PERFDATA_b0b0}, /* CMP */
{ CPU_OP_NAME(_b0b8), 0, 45240, PERFDATA_b0b8}, /* CMP */
{ CPU_OP_NAME(_b0b9), 0, 45241, PERFDATA_b0b9}, /* CMP */
{ CPU_OP_NAME(_b0ba), 0, 45242, PERFDATA_b0ba}, /* CMP */
{ CPU_OP_NAME(_b0bb), 0, 45243, PERFDATA_b0bb}, /* CMP */
{ CPU_OP_NAME(_b0bc), 0, 45244, PERFDATA_b0bc}, /* CMP */
{ CPU_OP_NAME(_b0c0), 0, 45248, PERFDATA_b0c0}, /* CMPA */
{ CPU_OP_NAME(_b0c8), 0, 45256, PERFDATA_b0c8}, /* CMPA */
{ CPU_OP_NAME(_b0d0), 0, 45264, PERFDATA_b0d0}, /* CMPA */
{ CPU_OP_NAME(_b0d8), 0, 45272, PERFDATA_b0d8}, /* CMPA */
{ CPU_OP_NAME(_b0e0), 0, 45280, PERFDATA_b0e0}, /* CMPA */
{ CPU_OP_NAME(_b0e8), 0, 45288, PERFDATA_b0e8}, /* CMPA */
{ CPU_OP_NAME(_b0f0), 0, 45296, PERFDATA_b0f0}, /* CMPA */
{ CPU_OP_NAME(_b0f8), 0, 45304, PERFDATA_b0f8}, /* CMPA */
{ CPU_OP_NAME(_b0f9), 0, 45305, PERFDATA_b0f9}, /* CMPA */
{ CPU_OP_NAME(_b0fa), 0, 45306, PERFDATA_b0fa}, /* CMPA */
{ CPU_OP_NAME(_b0fb), 0, 45307, PERFDATA_b0fb}, /* CMPA */
{ CPU_OP_NAME(_b0fc), 0, 45308, PERFDATA_b0fc}, /* CMPA */
{ CPU_OP_NAME(_b100), 0, 45312, PERFDATA_b100}, /* EOR */
{ CPU_OP_NAME(_b108), 0, 45320, PERFDATA_b108}, /* CMPM */
{ CPU_OP_NAME(_b110), 0, 45328, PERFDATA_b110}, /* EOR */
{ CPU_OP_NAME(_b118), 0, 45336, PERFDATA_b118}, /* EOR */
{ CPU_OP_NAME(_b120), 0, 45344, PERFDATA_b120}, /* EOR */
{ CPU_OP_NAME(_b128), 0, 45352, PERFDATA_b128}, /* EOR */
{ CPU_OP_NAME(_b130), 0, 45360, PERFDATA_b130}, /* EOR */
{ CPU_OP_NAME(_b138), 0, 45368, PERFDATA_b138}, /* EOR */
{ CPU_OP_NAME(_b139), 0, 45369, PERFDATA_b139}, /* EOR */
{ CPU_OP_NAME(_b140), 0, 45376, PERFDATA_b140}, /* EOR */
{ CPU_OP_NAME(_b148), 0, 45384, PERFDATA_b148}, /* CMPM */
{ CPU_OP_NAME(_b150), 0, 45392, PERFDATA_b150}, /* EOR */
{ CPU_OP_NAME(_b158), 0, 45400, PERFDATA_b158}, /* EOR */
{ CPU_OP_NAME(_b160), 0, 45408, PERFDATA_b160}, /* EOR */
{ CPU_OP_NAME(_b168), 0, 45416, PERFDATA_b168}, /* EOR */
{ CPU_OP_NAME(_b170), 0, 45424, PERFDATA_b170}, /* EOR */
{ CPU_OP_NAME(_b178), 0, 45432, PERFDATA_b178}, /* EOR */
{ CPU_OP_NAME(_b179), 0, 45433, PERFDATA_b179}, /* EOR */
{ CPU_OP_NAME(_b180), 0, 45440, PERFDATA_b180}, /* EOR */
{ CPU_OP_NAME(_b188), 0, 45448, PERFDATA_b188}, /* CMPM */
{ CPU_OP_NAME(_b190), 0, 45456, PERFDATA_b190}, /* EOR */
{ CPU_OP_NAME(_b198), 0, 45464, PERFDATA_b198}, /* EOR */
{ CPU_OP_NAME(_b1a0), 0, 45472, PERFDATA_b1a0}, /* EOR */
{ CPU_OP_NAME(_b1a8), 0, 45480, PERFDATA_b1a8}, /* EOR */
{ CPU_OP_NAME(_b1b0), 0, 45488, PERFDATA_b1b0}, /* EOR */
{ CPU_OP_NAME(_b1b8), 0, 45496, PERFDATA_b1b8}, /* EOR */
{ CPU_OP_NAME(_b1b9), 0, 45497, PERFDATA_b1b9}, /* EOR */
{ CPU_OP_NAME(_b1c0), 0, 45504, PERFDATA_b1c0}, /* CMPA */
{ CPU_OP_NAME(_b1c8), 0, 45512, PERFDATA_b1c8}, /* CMPA */
{ CPU_OP_NAME(_b1d0), 0, 45520, PERFDATA_b1d0}, /* CMPA */
{ CPU_OP_NAME(_b1d8), 0, 45528, PERFDATA_b1d8}, /* CMPA */
{ CPU_OP_NAME(_b1e0), 0, 45536, PERFDATA_b1e0}, /* CMPA */
{ CPU_OP_NAME(_b1e8), 0, 45544, PERFDATA_b1e8}, /* CMPA */
{ CPU_OP_NAME(_b1f0), 0, 45552, PERFDATA_b1f0}, /* CMPA */
{ CPU_OP_NAME(_b1f8), 0, 45560, PERFDATA_b1f8}, /* CMPA */
{ CPU_OP_NAME(_b1f9), 0, 45561, PERFDATA_b1f9}, /* CMPA */
{ CPU_OP_NAME(_b1fa), 0, 45562, PERFDATA_b1fa}, /* CMPA */
{ CPU_OP_NAME(_b1fb), 0, 45563, PERFDATA_b1fb}, /* CMPA */
{ CPU_OP_NAME(_b1fc), 0, 45564, PERFDATA_b1fc}, /* CMPA */
{ CPU_OP_NAME(_c000), 0, 49152, PERFDATA_c000}, /* AND */
{ CPU_OP_NAME(_c010), 0, 49168, PERFDATA_c010}, /* AND */
{ CPU_OP_NAME(_c018), 0, 49176, PERFDATA_c018}, /* AND */
{ CPU_OP_NAME(_c020), 0, 49184, PERFDATA_c020}, /* AND */
{ CPU_OP_NAME(_c028), 0, 49192, PERFDATA_c028}, /* AND */
{ CPU_OP_NAME(_c030), 0, 49200, PERFDATA_c030}, /* AND */
{ CPU_OP_NAME(_c038), 0, 49208, PERFDATA_c038}, /* AND */
{ CPU_OP_NAME(_c039), 0, 49209, PERFDATA_c039}, /* AND */
{ CPU_OP_NAME(_c03a), 0, 49210, PERFDATA_c03a}, /* AND */
{ CPU_OP_NAME(_c03b), 0, 49211, PERFDATA_c03b}, /* AND */
{ CPU_OP_NAME(_c03c), 0, 49212, PERFDATA_c03c}, /* AND */
{ CPU_OP_NAME(_c040), 0, 49216, PERFDATA_c040}, /* AND */
{ CPU_OP_NAME(_c050), 0, 49232, PERFDATA_c050}, /* AND */
{ CPU_OP_NAME(_c058), 0, 49240, PERFDATA_c058}, /* AND */
{ CPU_OP_NAME(_c060), 0, 49248, PERFDATA_c060}, /* AND */
{ CPU_OP_NAME(_c068), 0, 49256, PERFDATA_c068}, /* AND */
{ CPU_OP_NAME(_c070), 0, 49264, PERFDATA_c070}, /* AND */
{ CPU_OP_NAME(_c078), 0, 49272, PERFDATA_c078}, /* AND */
{ CPU_OP_NAME(_c079), 0, 49273, PERFDATA_c079}, /* AND */
{ CPU_OP_NAME(_c07a), 0, 49274, PERFDATA_c07a}, /* AND */
{ CPU_OP_NAME(_c07b), 0, 49275, PERFDATA_c07b}, /* AND */
{ CPU_OP_NAME(_c07c), 0, 49276, PERFDATA_c07c}, /* AND */
{ CPU_OP_NAME(_c080), 0, 49280, PERFDATA_c080}, /* AND */
{ CPU_OP_NAME(_c090), 0, 49296, PERFDATA_c090}, /* AND */
{ CPU_OP_NAME(_c098), 0, 49304, PERFDATA_c098}, /* AND */
{ CPU_OP_NAME(_c0a0), 0, 49312, PERFDATA_c0a0}, /* AND */
{ CPU_OP_NAME(_c0a8), 0, 49320, PERFDATA_c0a8}, /* AND */
{ CPU_OP_NAME(_c0b0), 0, 49328, PERFDATA_c0b0}, /* AND */
{ CPU_OP_NAME(_c0b8), 0, 49336, PERFDATA_c0b8}, /* AND */
{ CPU_OP_NAME(_c0b9), 0, 49337, PERFDATA_c0b9}, /* AND */
{ CPU_OP_NAME(_c0ba), 0, 49338, PERFDATA_c0ba}, /* AND */
{ CPU_OP_NAME(_c0bb), 0, 49339, PERFDATA_c0bb}, /* AND */
{ CPU_OP_NAME(_c0bc), 0, 49340, PERFDATA_c0bc}, /* AND */
{ CPU_OP_NAME(_c0c0), 0, 49344, PERFDATA_c0c0}, /* MULU */
{ CPU_OP_NAME(_c0d0), 0, 49360, PERFDATA_c0d0}, /* MULU */
{ CPU_OP_NAME(_c0d8), 0, 49368, PERFDATA_c0d8}, /* MULU */
{ CPU_OP_NAME(_c0e0), 0, 49376, PERFDATA_c0e0}, /* MULU */
{ CPU_OP_NAME(_c0e8), 0, 49384, PERFDATA_c0e8}, /* MULU */
{ CPU_OP_NAME(_c0f0), 0, 49392, PERFDATA_c0f0}, /* MULU */
{ CPU_OP_NAME(_c0f8), 0, 49400, PERFDATA_c0f8}, /* MULU */
{ CPU_OP_NAME(_c0f9), 0, 49401, PERFDATA_c0f9}, /* MULU */
{ CPU_OP_NAME(_c0fa), 0, 49402, PERFDATA_c0fa}, /* MULU */
{ CPU_OP_NAME(_c0fb), 0, 49403, PERFDATA_c0fb}, /* MULU */
{ CPU_OP_NAME(_c0fc), 0, 49404, PERFDATA_c0fc}, /* MULU */
{ CPU_OP_NAME(_c100), 0, 49408, PERFDATA_c100}, /* ABCD */
{ CPU_OP_NAME(_c108), 0, 49416, PERFDATA_c108}, /* ABCD */
{ CPU_OP_NAME(_c110), 0, 49424, PERFDATA_c110}, /* AND */
{ CPU_OP_NAME(_c118), 0, 49432, PERFDATA_c118}, /* AND */
{ CPU_OP_NAME(_c120), 0, 49440, PERFDATA_c120}, /* AND */
{ CPU_OP_NAME(_c128), 0, 49448, PERFDATA_c128}, /* AND */
{ CPU_OP_NAME(_c130), 0, 49456, PERFDATA_c130}, /* AND */
{ CPU_OP_NAME(_c138), 0, 49464, PERFDATA_c138}, /* AND */
{ CPU_OP_NAME(_c139), 0, 49465, PERFDATA_c139}, /* AND */
{ CPU_OP_NAME(_c140), 0, 49472, PERFDATA_c140}, /* EXG */
{ CPU_OP_NAME(_c148), 0, 49480, PERFDATA_c148}, /* EXG */
{ CPU_OP_NAME(_c150), 0, 49488, PERFDATA_c150}, /* AND */
{ CPU_OP_NAME(_c158), 0, 49496, PERFDATA_c158}, /* AND */
{ CPU_OP_NAME(_c160), 0, 49504, PERFDATA_c160}, /* AND */
{ CPU_OP_NAME(_c168), 0, 49512, PERFDATA_c168}, /* AND */
{ CPU_OP_NAME(_c170), 0, 49520, PERFDATA_c170}, /* AND */
{ CPU_OP_NAME(_c178), 0, 49528, PERFDATA_c178}, /* AND */
{ CPU_OP_NAME(_c179), 0, 49529, PERFDATA_c179}, /* AND */
{ CPU_OP_NAME(_c188), 0, 49544, PERFDATA_c188}, /* EXG */
{ CPU_OP_NAME(_c190), 0, 49552, PERFDATA_c190}, /* AND */
{ CPU_OP_NAME(_c198), 0, 49560, PERFDATA_c198}, /* AND */
{ CPU_OP_NAME(_c1a0), 0, 49568, PERFDATA_c1a0}, /* AND */
{ CPU_OP_NAME(_c1a8), 0, 49576, PERFDATA_c1a8}, /* AND */
{ CPU_OP_NAME(_c1b0), 0, 49584, PERFDATA_c1b0}, /* AND */
{ CPU_OP_NAME(_c1b8), 0, 49592, PERFDATA_c1b8}, /* AND */
{ CPU_OP_NAME(_c1b9), 0, 49593, PERFDATA_c1b9}, /* AND */
{ CPU_OP_NAME(_c1c0), 0, 49600, PERFDATA_c1c0}, /* MULS */
{ CPU_OP_NAME(_c1d0), 0, 49616, PERFDATA_c1d0}, /* MULS */
{ CPU_OP_NAME(_c1d8), 0, 49624, PERFDATA_c1d8}, /* MULS */
{ CPU_OP_NAME(_c1e0), 0, 49632, PERFDATA_c1e0}, /* MULS */
{ CPU_OP_NAME(_c1e8), 0, 49640, PERFDATA_c1e8}, /* MULS */
{ CPU_OP_NAME(_c1f0), 0, 49648, PERFDATA_c1f0}, /* MULS */
{ CPU_OP_NAME(_c1f8), 0, 49656, PERFDATA_c1f8}, /* MULS */
{ CPU_OP_NAME(_c1f9), 0, 49657, PERFDATA_c1f9}, /* MULS */
{ CPU_OP_NAME(_c1fa), 0, 49658, PERFDATA_c1fa}, /* MULS */
{ CPU_OP_NAME(_c1fb), 0, 49659, PERFDATA_c1fb}, /* MULS */
{ CPU_OP_NAME(_c1fc), 0, 49660, PERFDATA_c1fc}, /* MULS */
{ CPU_OP_NAME(_d000), 0, 53248, PERFDATA_d000}, /* ADD */
{ CPU_OP_NAME(_d010), 0, 53264, PERFDATA_d010}, /* ADD */
{ CPU_OP_NAME(_d018), 0, 53272, PERFDATA_d018}, /* ADD */
{ CPU_OP_NAME(_d020), 0, 53280, PERFDATA_d020}, /* ADD */
{ CPU_OP_NAME(_d028), 0, 53288, PERFDATA_d028}, /* ADD */
{ CPU_OP_NAME(_d030), 0, 53296, PERFDATA_d030}, /* ADD */
{ CPU_OP_NAME(_d038), 0, 53304, PERFDATA_d038}, /* ADD */
{ CPU_OP_NAME(_d039), 0, 53305, PERFDATA_d039}, /* ADD */
{ CPU_OP_NAME(_d03a), 0, 53306, PERFDATA_d03a}, /* ADD */
{ CPU_OP_NAME(_d03b), 0, 53307, PERFDATA_d03b}, /* ADD */
{ CPU_OP_NAME(_d03c), 0, 53308, PERFDATA_d03c}, /* ADD */
{ CPU_OP_NAME(_d040), 0, 53312, PERFDATA_d040}, /* ADD */
{ CPU_OP_NAME(_d048), 0, 53320, PERFDATA_d048}, /* ADD */
{ CPU_OP_NAME(_d050), 0, 53328, PERFDATA_d050}, /* ADD */
{ CPU_OP_NAME(_d058), 0, 53336, PERFDATA_d058}, /* ADD */
{ CPU_OP_NAME(_d060), 0, 53344, PERFDATA_d060}, /* ADD */
{ CPU_OP_NAME(_d068), 0, 53352, PERFDATA_d068}, /* ADD */
{ CPU_OP_NAME(_d070), 0, 53360, PERFDATA_d070}, /* ADD */
{ CPU_OP_NAME(_d078), 0, 53368, PERFDATA_d078}, /* ADD */
{ CPU_OP_NAME(_d079), 0, 53369, PERFDATA_d079}, /* ADD */
{ CPU_OP_NAME(_d07a), 0, 53370, PERFDATA_d07a}, /* ADD */
{ CPU_OP_NAME(_d07b), 0, 53371, PERFDATA_d07b}, /* ADD */
{ CPU_OP_NAME(_d07c), 0, 53372, PERFDATA_d07c}, /* ADD */
{ CPU_OP_NAME(_d080), 0, 53376, PERFDATA_d080}, /* ADD */
{ CPU_OP_NAME(_d088), 0, 53384, PERFDATA_d088}, /* ADD */
{ CPU_OP_NAME(_d090), 0, 53392, PERFDATA_d090}, /* ADD */
{ CPU_OP_NAME(_d098), 0, 53400, PERFDATA_d098}, /* ADD */
{ CPU_OP_NAME(_d0a0), 0, 53408, PERFDATA_d0a0}, /* ADD */
{ CPU_OP_NAME(_d0a8), 0, 53416, PERFDATA_d0a8}, /* ADD */
{ CPU_OP_NAME(_d0b0), 0, 53424, PERFDATA_d0b0}, /* ADD */
{ CPU_OP_NAME(_d0b8), 0, 53432, PERFDATA_d0b8}, /* ADD */
{ CPU_OP_NAME(_d0b9), 0, 53433, PERFDATA_d0b9}, /* ADD */
{ CPU_OP_NAME(_d0ba), 0, 53434, PERFDATA_d0ba}, /* ADD */
{ CPU_OP_NAME(_d0bb), 0, 53435, PERFDATA_d0bb}, /* ADD */
{ CPU_OP_NAME(_d0bc), 0, 53436, PERFDATA_d0bc}, /* ADD */
{ CPU_OP_NAME(_d0c0), 0, 53440, PERFDATA_d0c0}, /* ADDA */
{ CPU_OP_NAME(_d0c8), 0, 53448, PERFDATA_d0c8}, /* ADDA */
{ CPU_OP_NAME(_d0d0), 0, 53456, PERFDATA_d0d0}, /* ADDA */
{ CPU_OP_NAME(_d0d8), 0, 53464, PERFDATA_d0d8}, /* ADDA */
{ CPU_OP_NAME(_d0e0), 0, 53472, PERFDATA_d0e0}, /* ADDA */
{ CPU_OP_NAME(_d0e8), 0, 53480, PERFDATA_d0e8}, /* ADDA */
{ CPU_OP_NAME(_d0f0), 0, 53488, PERFDATA_d0f0}, /* ADDA */
{ CPU_OP_NAME(_d0f8), 0, 53496, PERFDATA_d0f8}, /* ADDA */
{ CPU_OP_NAME(_d0f9), 0, 53497, PERFDATA_d0f9}, /* ADDA */
{ CPU_OP_NAME(_d0fa), 0, 53498, PERFDATA_d0fa}, /* ADDA */
{ CPU_OP_NAME(_d0fb), 0, 53499, PERFDATA_d0fb}, /* ADDA */
{ CPU_OP_NAME(_d0fc), 0, 53500, PERFDATA_d0fc}, /* ADDA */
{ CPU_OP_NAME(_d100), 0, 53504, PERFDATA_d100}, /* ADDX */
{ CPU_OP_NAME(_d108), 0, 53512, PERFDATA_d108}, /* ADDX */
{ CPU_OP_NAME(_d110), 0, 53520, PERFDATA_d110}, /* ADD */
{ CPU_OP_NAME(_d118), 0, 53528, PERFDATA_d118}, /* ADD */
{ CPU_OP_NAME(_d120), 0, 53536, PERFDATA_d120}, /* ADD */
{ CPU_OP_NAME(_d128), 0, 53544, PERFDATA_d128}, /* ADD */
{ CPU_OP_NAME(_d130), 0, 53552, PERFDATA_d130}, /* ADD */
{ CPU_OP_NAME(_d138), 0, 53560, PERFDATA_d138}, /* ADD */
{ CPU_OP_NAME(_d139), 0, 53561, PERFDATA_d139}, /* ADD */
{ CPU_OP_NAME(_d140), 0, 53568, PERFDATA_d140}, /* ADDX */
{ CPU_OP_NAME(_d148), 0, 53576, PERFDATA_d148}, /* ADDX */
{ CPU_OP_NAME(_d150), 0, 53584, PERFDATA_d150}, /* ADD */
{ CPU_OP_NAME(_d158), 0, 53592, PERFDATA_d158}, /* ADD */
{ CPU_OP_NAME(_d160), 0, 53600, PERFDATA_d160}, /* ADD */
{ CPU_OP_NAME(_d168), 0, 53608, PERFDATA_d168}, /* ADD */
{ CPU_OP_NAME(_d170), 0, 53616, PERFDATA_d170}, /* ADD */
{ CPU_OP_NAME(_d178), 0, 53624, PERFDATA_d178}, /* ADD */
{ CPU_OP_NAME(_d179), 0, 53625, PERFDATA_d179}, /* ADD */
{ CPU_OP_NAME(_d180), 0, 53632, PERFDATA_d180}, /* ADDX */
{ CPU_OP_NAME(_d188), 0, 53640, PERFDATA_d188}, /* ADDX */
{ CPU_OP_NAME(_d190), 0, 53648, PERFDATA_d190}, /* ADD */
{ CPU_OP_NAME(_d198), 0, 53656, PERFDATA_d198}, /* ADD */
{ CPU_OP_NAME(_d1a0), 0, 53664, PERFDATA_d1a0}, /* ADD */
{ CPU_OP_NAME(_d1a8), 0, 53672, PERFDATA_d1a8}, /* ADD */
{ CPU_OP_NAME(_d1b0), 0, 53680, PERFDATA_d1b0}, /* ADD */
{ CPU_OP_NAME(_d1b8), 0, 53688, PERFDATA_d1b8}, /* ADD */
{ CPU_OP_NAME(_d1b9), 0, 53689, PERFDATA_d1b9}, /* ADD */
{ CPU_OP_NAME(_d1c0), 0, 53696, PERFDATA_d1c0}, /* ADDA */
{ CPU_OP_NAME(_d1c8), 0, 53704, PERFDATA_d1c8}, /* ADDA */
{ CPU_OP_NAME(_d1d0), 0, 53712, PERFDATA_d1d0}, /* ADDA */
{ CPU_OP_NAME(_d1d8), 0, 53720, PERFDATA_d1d8}, /* ADDA */
{ CPU_OP_NAME(_d1e0), 0, 53728, PERFDATA_d1e0}, /* ADDA */
{ CPU_OP_NAME(_d1e8), 0, 53736, PERFDATA_d1e8}, /* ADDA */
{ CPU_OP_NAME(_d1f0), 0, 53744, PERFDATA_d1f0}, /* ADDA */
{ CPU_OP_NAME(_d1f8), 0, 53752, PERFDATA_d1f8}, /* ADDA */
{ CPU_OP_NAME(_d1f9), 0, 53753, PERFDATA_d1f9}, /* ADDA */
{ CPU_OP_NAME(_d1fa), 0, 53754, PERFDATA_d1fa}, /* ADDA */
{ CPU_OP_NAME(_d1fb), 0, 53755, PERFDATA_d1fb}, /* ADDA */
{ CPU_OP_NAME(_d1fc), 0, 53756, PERFDATA_d1fc}, /* ADDA */
{ CPU_OP_NAME(_e000), 0, 57344, PERFDATA_e000}, /* ASR */
{ CPU_OP_NAME(_e008), 0, 57352, PERFDATA_e008}, /* LSR */
{ CPU_OP_NAME(_e010), 0, 57360, PERFDATA_e010}, /* ROXR */
{ CPU_OP_NAME(_e018), 0, 57368, PERFDATA_e018}, /* ROR */
{ CPU_OP_NAME(_e020), 0, 57376, PERFDATA_e020}, /* ASR */
{ CPU_OP_NAME(_e028), 0, 57384, PERFDATA_e028}, /* LSR */
{ CPU_OP_NAME(_e030), 0, 57392, PERFDATA_e030}, /* ROXR */
{ CPU_OP_NAME(_e038), 0, 57400, PERFDATA_e038}, /* ROR */
{ CPU_OP_NAME(_e040), 0, 57408, PERFDATA_e040}, /* ASR */
{ CPU_OP_NAME(_e048), 0, 57416, PERFDATA_e048}, /* LSR */
{ CPU_OP_NAME(_e050), 0, 57424, PERFDATA_e050}, /* ROXR */
{ CPU_OP_NAME(_e058), 0, 57432, PERFDATA_e058}, /* ROR */
{ CPU_OP_NAME(_e060), 0, 57440, PERFDATA_e060}, /* ASR */
{ CPU_OP_NAME(_e068), 0, 57448, PERFDATA_e068}, /* LSR */
{ CPU_OP_NAME(_e070), 0, 57456, PERFDATA_e070}, /* ROXR */
{ CPU_OP_NAME(_e078), 0, 57464, PERFDATA_e078}, /* ROR */
{ CPU_OP_NAME(_e080), 0, 57472, PERFDATA_e080}, /* ASR */
{ CPU_OP_NAME(_e088), 0, 57480, PERFDATA_e088}, /* LSR */
{ CPU_OP_NAME(_e090), 0, 57488, PERFDATA_e090}, /* ROXR */
{ CPU_OP_NAME(_e098), 0, 57496, PERFDATA_e098}, /* ROR */
{ CPU_OP_NAME(_e0a0), 0, 57504, PERFDATA_e0a0}, /* ASR */
{ CPU_OP_NAME(_e0a8), 0, 57512, PERFDATA_e0a8}, /* LSR */
{ CPU_OP_NAME(_e0b0), 0, 57520, PERFDATA_e0b0}, /* ROXR */
{ CPU_OP_NAME(_e0b8), 0, 57528, PERFDATA_e0b8}, /* ROR */
{ CPU_OP_NAME(_e0d0), 0, 57552, PERFDATA_e0d0}, /* ASRW */
{ CPU_OP_NAME(_e0d8), 0, 57560, PERFDATA_e0d8}, /* ASRW */
{ CPU_OP_NAME(_e0e0), 0, 57568, PERFDATA_e0e0}, /* ASRW */
{ CPU_OP_NAME(_e0e8), 0, 57576, PERFDATA_e0e8}, /* ASRW */
{ CPU_OP_NAME(_e0f0), 0, 57584, PERFDATA_e0f0}, /* ASRW */
{ CPU_OP_NAME(_e0f8), 0, 57592, PERFDATA_e0f8}, /* ASRW */
{ CPU_OP_NAME(_e0f9), 0, 57593, PERFDATA_e0f9}, /* ASRW */
{ CPU_OP_NAME(_e100), 0, 57600, PERFDATA_e100}, /* ASL */
{ CPU_OP_NAME(_e108), 0, 57608, PERFDATA_e108}, /* LSL */
{ CPU_OP_NAME(_e110), 0, 57616, PERFDATA_e110}, /* ROXL */
{ CPU_OP_NAME(_e118), 0, 57624, PERFDATA_e118}, /* ROL */
{ CPU_OP_NAME(_e120), 0, 57632, PERFDATA_e120}, /* ASL */
{ CPU_OP_NAME(_e128), 0, 57640, PERFDATA_e128}, /* LSL */
{ CPU_OP_NAME(_e130), 0, 57648, PERFDATA_e130}, /* ROXL */
{ CPU_OP_NAME(_e138), 0, 57656, PERFDATA_e138}, /* ROL */
{ CPU_OP_NAME(_e140), 0, 57664, PERFDATA_e140}, /* ASL */
{ CPU_OP_NAME(_e148), 0, 57672, PERFDATA_e148}, /* LSL */
{ CPU_OP_NAME(_e150), 0, 57680, PERFDATA_e150}, /* ROXL */
{ CPU_OP_NAME(_e158), 0, 57688, PERFDATA_e158}, /* ROL */
{ CPU_OP_NAME(_e160), 0, 57696, PERFDATA_e160}, /* ASL */
{ CPU_OP_NAME(_e168), 0, 57704, PERFDATA_e168}, /* LSL */
{ CPU_OP_NAME(_e170), 0, 57712, PERFDATA_e170}, /* ROXL */
{ CPU_OP_NAME(_e178), 0, 57720, PERFDATA_e178}, /* ROL */
{ CPU_OP_NAME(_e180), 0, 57728, PERFDATA_e180}, /* ASL */
{ CPU_OP_NAME(_e188), 0, 57736, PERFDATA_e188}, /* LSL */
{ CPU_OP_NAME(_e190), 0, 57744, PERFDATA_e190}, /* ROXL */
{ CPU_OP_NAME(_e198), 0, 57752, PERFDATA_e198}, /* ROL */
{ CPU_OP_NAME(_e1a0), 0, 57760, PERFDATA_e1a0}, /* ASL */
{ CPU_OP_NAME(_e1a8), 0, 57768, PERFDATA_e1a8}, /* LSL */
{ CPU_OP_NAME(_e1b0), 0, 57776, PERFDATA_e1b0}, /* ROXL */
{ CPU_OP_NAME(_e1b8), 0, 57784, PERFDATA_e1b8}, /* ROL */
{ CPU_OP_NAME(_e1d0), 0, 57808, PERFDATA_e1d0}, /* ASLW */
{ CPU_OP_NAME(_e1d8), 0, 57816, PERFDATA_e1d8}, /* ASLW */
{ CPU_OP_NAME(_e1e0), 0, 57824, PERFDATA_e1e0}, /* ASLW */
{ CPU_OP_NAME(_e1e8), 0, 57832, PERFDATA_e1e8}, /* ASLW */
{ CPU_OP_NAME(_e1f0), 0, 57840, PERFDATA_e1f0}, /* ASLW */
{ CPU_OP_NAME(_e1f8), 0, 57848, PERFDATA_e1f8}, /* ASLW */
{ CPU_OP_NAME(_e1f9), 0, 57849, PERFDATA_e1f9}, /* ASLW */
{ CPU_OP_NAME(_e2d0), 0, 58064, PERFDATA_e2d0}, /* LSRW */
{ CPU_OP_NAME(_e2d8), 0, 58072, PERFDATA_e2d8}, /* LSRW */
{ CPU_OP_NAME(_e2e0), 0, 58080, PERFDATA_e2e0}, /* LSRW */
{ CPU_OP_NAME(_e2e8), 0, 58088, PERFDATA_e2e8}, /* LSRW */
{ CPU_OP_NAME(_e2f0), 0, 58096, PERFDATA_e2f0}, /* LSRW */
{ CPU_OP_NAME(_e2f8), 0, 58104, PERFDATA_e2f8}, /* LSRW */
{ CPU_OP_NAME(_e2f9), 0, 58105, PERFDATA_e2f9}, /* LSRW */
{ CPU_OP_NAME(_e3d0), 0, 58320, PERFDATA_e3d0}, /* LSLW */
{ CPU_OP_NAME(_e3d8), 0, 58328, PERFDATA_e3d8}, /* LSLW */
{ CPU_OP_NAME(_e3e0), 0, 58336, PERFDATA_e3e0}, /* LSLW */
{ CPU_OP_NAME(_e3e8), 0, 58344, PERFDATA_e3e8}, /* LSLW */
{ CPU_OP_NAME(_e3f0), 0, 58352, PERFDATA_e3f0}, /* LSLW */
{ CPU_OP_NAME(_e3f8), 0, 58360, PERFDATA_e3f8}, /* LSLW */
{ CPU_OP_NAME(_e3f9), 0, 58361, PERFDATA_e3f9}, /* LSLW */
{ CPU_OP_NAME(_e4d0), 0, 58576, PERFDATA_e4d0}, /* ROXRW */
{ CPU_OP_NAME(_e4d8), 0, 58584, PERFDATA_e4d8}, /* ROXRW */
{ CPU_OP_NAME(_e4e0), 0, 58592, PERFDATA_e4e0}, /* ROXRW */
{ CPU_OP_NAME(_e4e8), 0, 58600, PERFDATA_e4e8}, /* ROXRW */
{ CPU_OP_NAME(_e4f0), 0, 58608, PERFDATA_e4f0}, /* ROXRW */
{ CPU_OP_NAME(_e4f8), 0, 58616, PERFDATA_e4f8}, /* ROXRW */
{ CPU_OP_NAME(_e4f9), 0, 58617, PERFDATA_e4f9}, /* ROXRW */
{ CPU_OP_NAME(_e5d0), 0, 58832, PERFDATA_e5d0}, /* ROXLW */
{ CPU_OP_NAME(_e5d8), 0, 58840, PERFDATA_e5d8}, /* ROXLW */
{ CPU_OP_NAME(_e5e0), 0, 58848, PERFDATA_e5e0}, /* ROXLW */
{ CPU_OP_NAME(_e5e8), 0, 58856, PERFDATA_e5e8}, /* ROXLW */
{ CPU_OP_NAME(_e5f0), 0, 58864, PERFDATA_e5f0}, /* ROXLW */
{ CPU_OP_NAME(_e5f8), 0, 58872, PERFDATA_e5f8}, /* ROXLW */
{ CPU_OP_NAME(_e5f9), 0, 58873, PERFDATA_e5f9}, /* ROXLW */
{ CPU_OP_NAME(_e6d0), 0, 59088, PERFDATA_e6d0}, /* RORW */
{ CPU_OP_NAME(_e6d8), 0, 59096, PERFDATA_e6d8}, /* RORW */
{ CPU_OP_NAME(_e6e0), 0, 59104, PERFDATA_e6e0}, /* RORW */
{ CPU_OP_NAME(_e6e8), 0, 59112, PERFDATA_e6e8}, /* RORW */
{ CPU_OP_NAME(_e6f0), 0, 59120, PERFDATA_e6f0}, /* RORW */
{ CPU_OP_NAME(_e6f8), 0, 59128, PERFDATA_e6f8}, /* RORW */
{ CPU_OP_NAME(_e6f9), 0, 59129, PERFDATA_e6f9}, /* RORW */
{ CPU_OP_NAME(_e7d0), 0, 59344, PERFDATA_e7d0}, /* ROLW */
{ CPU_OP_NAME(_e7d8), 0, 59352, PERFDATA_e7d8}, /* ROLW */
{ CPU_OP_NAME(_e7e0), 0, 59360, PERFDATA_e7e0}, /* ROLW */
{ CPU_OP_NAME(_e7e8), 0, 59368, PERFDATA_e7e8}, /* ROLW */
{ CPU_OP_NAME(_e7f0), 0, 59376, PERFDATA_e7f0}, /* ROLW */
{ CPU_OP_NAME(_e7f8), 0, 59384, PERFDATA_e7f8}, /* ROLW */
{ CPU_OP_NAME(_e7f9), 0, 59385, PERFDATA_e7f9}, /* ROLW */
#endif
{ 0, 0, 0 }};
